#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ib_pack, "", "");
KSYMTAB_FUNC(ib_unpack, "", "");
KSYMTAB_FUNC(ib_ud_ip4_csum, "", "");
KSYMTAB_FUNC(ib_ud_header_init, "", "");
KSYMTAB_FUNC(ib_ud_header_pack, "", "");
KSYMTAB_FUNC(ib_event_msg, "", "");
KSYMTAB_FUNC(ib_wc_status_msg, "", "");
KSYMTAB_FUNC(ib_rate_to_mult, "", "");
KSYMTAB_FUNC(mult_to_ib_rate, "", "");
KSYMTAB_FUNC(ib_rate_to_mbps, "", "");
KSYMTAB_FUNC(rdma_node_get_transport, "", "");
KSYMTAB_FUNC(rdma_port_get_link_layer, "", "");
KSYMTAB_FUNC(__ib_alloc_pd, "", "");
KSYMTAB_FUNC(ib_dealloc_pd_user, "", "");
KSYMTAB_FUNC(rdma_copy_ah_attr, "", "");
KSYMTAB_FUNC(rdma_replace_ah_attr, "", "");
KSYMTAB_FUNC(rdma_move_ah_attr, "", "");
KSYMTAB_FUNC(rdma_create_ah, "", "");
KSYMTAB_FUNC(rdma_create_user_ah, "", "");
KSYMTAB_FUNC(ib_get_rdma_header_version, "", "");
KSYMTAB_FUNC(ib_get_gids_from_rdma_hdr, "", "");
KSYMTAB_FUNC(ib_init_ah_attr_from_wc, "", "");
KSYMTAB_FUNC(rdma_move_grh_sgid_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_ah_attr, "", "");
KSYMTAB_FUNC(ib_create_ah_from_wc, "", "");
KSYMTAB_FUNC(rdma_modify_ah, "", "");
KSYMTAB_FUNC(rdma_query_ah, "", "");
KSYMTAB_FUNC(rdma_destroy_ah_user, "", "");
KSYMTAB_FUNC(ib_create_srq_user, "", "");
KSYMTAB_FUNC(ib_modify_srq, "", "");
KSYMTAB_FUNC(ib_query_srq, "", "");
KSYMTAB_FUNC(ib_destroy_srq_user, "", "");
KSYMTAB_FUNC(ib_open_qp, "", "");
KSYMTAB_FUNC(ib_create_qp_user, "", "");
KSYMTAB_FUNC(ib_qp_usecnt_inc, "", "");
KSYMTAB_FUNC(ib_qp_usecnt_dec, "", "");
KSYMTAB_FUNC(ib_create_qp_kernel, "", "");
KSYMTAB_FUNC(ib_modify_qp_is_ok, "", "");
KSYMTAB_FUNC(ib_modify_qp_with_udata, "", "");
KSYMTAB_FUNC(ib_get_eth_speed, "", "");
KSYMTAB_FUNC(ib_modify_qp, "", "");
KSYMTAB_FUNC(ib_query_qp, "", "");
KSYMTAB_FUNC(ib_close_qp, "", "");
KSYMTAB_FUNC(ib_destroy_qp_user, "", "");
KSYMTAB_FUNC(__ib_create_cq, "", "");
KSYMTAB_FUNC(rdma_set_cq_moderation, "", "");
KSYMTAB_FUNC(ib_destroy_cq_user, "", "");
KSYMTAB_FUNC(ib_resize_cq, "", "");
KSYMTAB_FUNC(ib_reg_user_mr, "", "");
KSYMTAB_FUNC(ib_advise_mr, "", "");
KSYMTAB_FUNC(ib_dereg_mr_user, "", "");
KSYMTAB_FUNC(ib_alloc_mr, "", "");
KSYMTAB_FUNC(ib_alloc_mr_integrity, "", "");
KSYMTAB_FUNC(ib_attach_mcast, "", "");
KSYMTAB_FUNC(ib_detach_mcast, "", "");
KSYMTAB_FUNC(ib_alloc_xrcd_user, "", "");
KSYMTAB_FUNC(ib_dealloc_xrcd_user, "", "");
KSYMTAB_FUNC(ib_create_wq, "", "");
KSYMTAB_FUNC(ib_destroy_wq_user, "", "");
KSYMTAB_FUNC(ib_check_mr_status, "", "");
KSYMTAB_FUNC(ib_set_vf_link_state, "", "");
KSYMTAB_FUNC(ib_get_vf_config, "", "");
KSYMTAB_FUNC(ib_get_vf_stats, "", "");
KSYMTAB_FUNC(ib_set_vf_guid, "", "");
KSYMTAB_FUNC(ib_get_vf_guid, "", "");
KSYMTAB_FUNC(ib_map_mr_sg_pi, "", "");
KSYMTAB_FUNC(ib_map_mr_sg, "", "");
KSYMTAB_FUNC(ib_sg_to_pages, "", "");
KSYMTAB_FUNC(ib_drain_sq, "", "");
KSYMTAB_FUNC(ib_drain_rq, "", "");
KSYMTAB_FUNC(ib_drain_qp, "", "");
KSYMTAB_FUNC(rdma_alloc_netdev, "", "");
KSYMTAB_FUNC(rdma_init_netdev, "", "");
KSYMTAB_FUNC(__rdma_block_iter_start, "", "");
KSYMTAB_FUNC(__rdma_block_iter_next, "", "");
KSYMTAB_FUNC(rdma_alloc_hw_stats_struct, "", "");
KSYMTAB_FUNC(rdma_free_hw_stats_struct, "", "");
KSYMTAB_FUNC(ib_process_cq_direct, "", "");
KSYMTAB_FUNC(__ib_alloc_cq, "", "");
KSYMTAB_FUNC(__ib_alloc_cq_any, "", "");
KSYMTAB_FUNC(ib_free_cq, "", "");
KSYMTAB_FUNC(ib_cq_pool_get, "", "");
KSYMTAB_FUNC(ib_cq_pool_put, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_init, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_signature_init, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_wrs, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_post, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_destroy, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_destroy_signature, "", "");
KSYMTAB_FUNC(rdma_rw_mr_factor, "", "");
KSYMTAB_FUNC(ib_port_sysfs_get_ibdev_kobj, "", "");
KSYMTAB_FUNC(ib_port_register_client_groups, "", "");
KSYMTAB_FUNC(ib_port_unregister_client_groups, "", "");
KSYMTAB_DATA(ib_wq, "_gpl", "");
KSYMTAB_FUNC(rdma_dev_access_netns, "", "");
KSYMTAB_FUNC(ibdev_emerg, "", "");
KSYMTAB_FUNC(ibdev_alert, "", "");
KSYMTAB_FUNC(ibdev_crit, "", "");
KSYMTAB_FUNC(ibdev_err, "", "");
KSYMTAB_FUNC(ibdev_warn, "", "");
KSYMTAB_FUNC(ibdev_notice, "", "");
KSYMTAB_FUNC(ibdev_info, "", "");
KSYMTAB_FUNC(ib_device_put, "", "");
KSYMTAB_FUNC(ib_device_get_by_name, "", "");
KSYMTAB_FUNC(_ib_alloc_device, "", "");
KSYMTAB_FUNC(ib_dealloc_device, "", "");
KSYMTAB_FUNC(ib_port_immutable_read, "", "");
KSYMTAB_FUNC(ib_get_device_fw_str, "", "");
KSYMTAB_FUNC(ib_register_device, "", "");
KSYMTAB_FUNC(ib_unregister_device, "", "");
KSYMTAB_FUNC(ib_unregister_device_and_put, "", "");
KSYMTAB_FUNC(ib_unregister_driver, "", "");
KSYMTAB_FUNC(ib_unregister_device_queued, "", "");
KSYMTAB_FUNC(ib_register_client, "", "");
KSYMTAB_FUNC(ib_unregister_client, "", "");
KSYMTAB_FUNC(ib_set_client_data, "", "");
KSYMTAB_FUNC(ib_register_event_handler, "", "");
KSYMTAB_FUNC(ib_unregister_event_handler, "", "");
KSYMTAB_FUNC(ib_query_port, "", "");
KSYMTAB_FUNC(ib_device_set_netdev, "", "");
KSYMTAB_FUNC(ib_device_get_netdev, "", "");
KSYMTAB_FUNC(ib_query_netdev_port, "", "");
KSYMTAB_FUNC(ib_device_get_by_netdev, "", "");
KSYMTAB_FUNC(ib_query_pkey, "", "");
KSYMTAB_FUNC(ib_modify_device, "", "");
KSYMTAB_FUNC(ib_modify_port, "", "");
KSYMTAB_FUNC(ib_find_gid, "", "");
KSYMTAB_FUNC(ib_find_pkey, "", "");
KSYMTAB_FUNC(ib_get_net_dev_by_params, "", "");
KSYMTAB_FUNC(ib_set_device_ops, "", "");
KSYMTAB_FUNC(ib_add_sub_device, "", "");
KSYMTAB_FUNC(ib_del_sub_device_and_put, "", "");
KSYMTAB_FUNC(ib_dma_virt_map_sg, "", "");
KSYMTAB_FUNC(ib_dispatch_port_state_event, "", "");
KSYMTAB_DATA(zgid, "", "");
KSYMTAB_FUNC(ib_cache_gid_type_str, "", "");
KSYMTAB_FUNC(rdma_is_zero_gid, "", "");
KSYMTAB_FUNC(ib_cache_gid_parse_type_str, "", "");
KSYMTAB_FUNC(rdma_find_gid_by_port, "", "");
KSYMTAB_FUNC(rdma_query_gid, "", "");
KSYMTAB_FUNC(rdma_read_gid_hw_context, "", "");
KSYMTAB_FUNC(rdma_find_gid, "", "");
KSYMTAB_FUNC(ib_get_cached_pkey, "", "");
KSYMTAB_FUNC(ib_get_cached_subnet_prefix, "", "");
KSYMTAB_FUNC(ib_find_cached_pkey, "", "");
KSYMTAB_FUNC(ib_get_cached_lmc, "", "");
KSYMTAB_FUNC(ib_get_cached_port_state, "", "");
KSYMTAB_FUNC(rdma_get_gid_attr, "", "");
KSYMTAB_FUNC(rdma_query_gid_table, "", "");
KSYMTAB_FUNC(rdma_put_gid_attr, "", "");
KSYMTAB_FUNC(rdma_hold_gid_attr, "", "");
KSYMTAB_FUNC(rdma_read_gid_attr_ndev_rcu, "", "");
KSYMTAB_FUNC(rdma_read_gid_l2_fields, "", "");
KSYMTAB_FUNC(ib_dispatch_event, "", "");
KSYMTAB_FUNC(rdma_nl_chk_listeners, "", "");
KSYMTAB_FUNC(rdma_nl_register, "", "");
KSYMTAB_FUNC(rdma_nl_unregister, "", "");
KSYMTAB_FUNC(ibnl_put_msg, "", "");
KSYMTAB_FUNC(ibnl_put_attr, "", "");
KSYMTAB_FUNC(rdma_nl_unicast, "", "");
KSYMTAB_FUNC(rdma_nl_unicast_wait, "", "");
KSYMTAB_FUNC(rdma_nl_multicast, "", "");
KSYMTAB_FUNC(roce_gid_type_mask_support, "", "");
KSYMTAB_FUNC(rdma_roce_rescan_device, "", "");
KSYMTAB_FUNC(rdma_roce_rescan_port, "", "");
KSYMTAB_FUNC(roce_del_all_netdev_gids, "", "");
KSYMTAB_FUNC(ib_mr_pool_get, "", "");
KSYMTAB_FUNC(ib_mr_pool_put, "", "");
KSYMTAB_FUNC(ib_mr_pool_init, "", "");
KSYMTAB_FUNC(ib_mr_pool_destroy, "", "");
KSYMTAB_FUNC(rdma_addr_size, "", "");
KSYMTAB_FUNC(rdma_addr_size_in6, "", "");
KSYMTAB_FUNC(rdma_addr_size_kss, "", "");
KSYMTAB_FUNC(rdma_copy_src_l2_addr, "", "");
KSYMTAB_FUNC(rdma_translate_ip, "", "");
KSYMTAB_FUNC(rdma_resolve_ip, "", "");
KSYMTAB_FUNC(rdma_addr_cancel, "", "");
KSYMTAB_FUNC(ib_sa_register_client, "", "");
KSYMTAB_FUNC(ib_sa_unregister_client, "", "");
KSYMTAB_FUNC(ib_sa_cancel_query, "", "");
KSYMTAB_FUNC(ib_init_ah_attr_from_path, "", "");
KSYMTAB_FUNC(ib_sa_unpack_path, "", "");
KSYMTAB_FUNC(ib_sa_pack_path, "", "");
KSYMTAB_FUNC(ib_sa_path_rec_get, "", "");
KSYMTAB_FUNC(ib_sa_guid_info_rec_query, "", "");
KSYMTAB_FUNC(ib_sa_join_multicast, "", "");
KSYMTAB_FUNC(ib_sa_free_multicast, "", "");
KSYMTAB_FUNC(ib_sa_get_mcmember_rec, "", "");
KSYMTAB_FUNC(ib_init_ah_from_mcmember, "", "");
KSYMTAB_FUNC(ib_response_mad, "", "");
KSYMTAB_FUNC(ib_register_mad_agent, "", "");
KSYMTAB_FUNC(ib_unregister_mad_agent, "", "");
KSYMTAB_FUNC(ib_mad_kernel_rmpp_agent, "", "");
KSYMTAB_FUNC(ib_create_send_mad, "", "");
KSYMTAB_FUNC(ib_get_mad_data_offset, "", "");
KSYMTAB_FUNC(ib_is_mad_class_rmpp, "", "");
KSYMTAB_FUNC(ib_get_rmpp_segment, "", "");
KSYMTAB_FUNC(ib_free_send_mad, "", "");
KSYMTAB_FUNC(ib_post_send_mad, "", "");
KSYMTAB_FUNC(ib_free_recv_mad, "", "");
KSYMTAB_FUNC(ib_modify_mad, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_string, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u32, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u32_hex, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u64, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u64_hex, "", "");
KSYMTAB_FUNC(rdma_nl_get_privileged_qkey, "", "");
KSYMTAB_FUNC(rdma_nl_stat_hwcounter_entry, "", "");
KSYMTAB_FUNC(rdma_link_register, "", "");
KSYMTAB_FUNC(rdma_link_unregister, "", "");
KSYMTAB_FUNC(rdma_restrack_count, "", "");
KSYMTAB_FUNC(rdma_restrack_set_name, "", "");
KSYMTAB_FUNC(rdma_restrack_parent_name, "", "");
KSYMTAB_FUNC(rdma_restrack_new, "", "");
KSYMTAB_FUNC(rdma_restrack_add, "", "");
KSYMTAB_FUNC(rdma_restrack_get, "", "");
KSYMTAB_FUNC(rdma_restrack_get_byid, "", "");
KSYMTAB_FUNC(rdma_restrack_put, "", "");
KSYMTAB_FUNC(rdma_restrack_del, "", "");
KSYMTAB_FUNC(rdma_umap_priv_init, "", "");
KSYMTAB_FUNC(rdma_user_mmap_io, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_get_pgoff, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_get, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_put, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_remove, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_insert_range, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_insert, "", "");
KSYMTAB_FUNC(ib_create_qp_security, "", "");
KSYMTAB_FUNC(ib_rdmacg_try_charge, "", "");
KSYMTAB_FUNC(ib_rdmacg_uncharge, "", "");

SYMBOL_CRC(ib_pack, 0x06830b9a, "");
SYMBOL_CRC(ib_unpack, 0xf96fc9de, "");
SYMBOL_CRC(ib_ud_ip4_csum, 0x6b958320, "");
SYMBOL_CRC(ib_ud_header_init, 0xb7852a05, "");
SYMBOL_CRC(ib_ud_header_pack, 0xe9e799fc, "");
SYMBOL_CRC(ib_event_msg, 0xf6ed3334, "");
SYMBOL_CRC(ib_wc_status_msg, 0xe5840ec6, "");
SYMBOL_CRC(ib_rate_to_mult, 0x5987bc79, "");
SYMBOL_CRC(mult_to_ib_rate, 0x6644920a, "");
SYMBOL_CRC(ib_rate_to_mbps, 0x6c183078, "");
SYMBOL_CRC(rdma_node_get_transport, 0xf5dedb30, "");
SYMBOL_CRC(rdma_port_get_link_layer, 0x7de7cfcb, "");
SYMBOL_CRC(__ib_alloc_pd, 0xa7bebbed, "");
SYMBOL_CRC(ib_dealloc_pd_user, 0x37550440, "");
SYMBOL_CRC(rdma_copy_ah_attr, 0x958a3d73, "");
SYMBOL_CRC(rdma_replace_ah_attr, 0x08a2e6f7, "");
SYMBOL_CRC(rdma_move_ah_attr, 0xa6247803, "");
SYMBOL_CRC(rdma_create_ah, 0xaa5655b3, "");
SYMBOL_CRC(rdma_create_user_ah, 0xc97527ba, "");
SYMBOL_CRC(ib_get_rdma_header_version, 0xd5f80f72, "");
SYMBOL_CRC(ib_get_gids_from_rdma_hdr, 0xc4dba8ec, "");
SYMBOL_CRC(ib_init_ah_attr_from_wc, 0x6b047ea4, "");
SYMBOL_CRC(rdma_move_grh_sgid_attr, 0x2f4a2706, "");
SYMBOL_CRC(rdma_destroy_ah_attr, 0xdac3ce37, "");
SYMBOL_CRC(ib_create_ah_from_wc, 0x2225b220, "");
SYMBOL_CRC(rdma_modify_ah, 0x182f1623, "");
SYMBOL_CRC(rdma_query_ah, 0x07ef8a11, "");
SYMBOL_CRC(rdma_destroy_ah_user, 0x7d9ab5c8, "");
SYMBOL_CRC(ib_create_srq_user, 0xb136f4e0, "");
SYMBOL_CRC(ib_modify_srq, 0x073b5a1d, "");
SYMBOL_CRC(ib_query_srq, 0x7ed0450c, "");
SYMBOL_CRC(ib_destroy_srq_user, 0x46e98efb, "");
SYMBOL_CRC(ib_open_qp, 0x883fa661, "");
SYMBOL_CRC(ib_create_qp_user, 0x2d777f97, "");
SYMBOL_CRC(ib_qp_usecnt_inc, 0xd7f79fb6, "");
SYMBOL_CRC(ib_qp_usecnt_dec, 0x9c36b0e8, "");
SYMBOL_CRC(ib_create_qp_kernel, 0x0ce50731, "");
SYMBOL_CRC(ib_modify_qp_is_ok, 0xab62888d, "");
SYMBOL_CRC(ib_modify_qp_with_udata, 0x7dc74d96, "");
SYMBOL_CRC(ib_get_eth_speed, 0x7b3899c5, "");
SYMBOL_CRC(ib_modify_qp, 0xa1d1c228, "");
SYMBOL_CRC(ib_query_qp, 0x494eb042, "");
SYMBOL_CRC(ib_close_qp, 0x9cac92f2, "");
SYMBOL_CRC(ib_destroy_qp_user, 0x5bbc3d17, "");
SYMBOL_CRC(__ib_create_cq, 0x5d956f93, "");
SYMBOL_CRC(rdma_set_cq_moderation, 0x8e2277b5, "");
SYMBOL_CRC(ib_destroy_cq_user, 0xe5425995, "");
SYMBOL_CRC(ib_resize_cq, 0xc29a1a03, "");
SYMBOL_CRC(ib_reg_user_mr, 0x181e1fc3, "");
SYMBOL_CRC(ib_advise_mr, 0x1f0569da, "");
SYMBOL_CRC(ib_dereg_mr_user, 0x7b628658, "");
SYMBOL_CRC(ib_alloc_mr, 0x290c8ae7, "");
SYMBOL_CRC(ib_alloc_mr_integrity, 0x92602433, "");
SYMBOL_CRC(ib_attach_mcast, 0xcba95283, "");
SYMBOL_CRC(ib_detach_mcast, 0x495c3840, "");
SYMBOL_CRC(ib_alloc_xrcd_user, 0x39527cce, "");
SYMBOL_CRC(ib_dealloc_xrcd_user, 0xdd731b1c, "");
SYMBOL_CRC(ib_create_wq, 0x1eb34cf5, "");
SYMBOL_CRC(ib_destroy_wq_user, 0x5ad098ef, "");
SYMBOL_CRC(ib_check_mr_status, 0xf594c707, "");
SYMBOL_CRC(ib_set_vf_link_state, 0xe1f395fd, "");
SYMBOL_CRC(ib_get_vf_config, 0xb7670f5c, "");
SYMBOL_CRC(ib_get_vf_stats, 0xea078397, "");
SYMBOL_CRC(ib_set_vf_guid, 0xc59af4a7, "");
SYMBOL_CRC(ib_get_vf_guid, 0x46080148, "");
SYMBOL_CRC(ib_map_mr_sg_pi, 0xc1b12fa2, "");
SYMBOL_CRC(ib_map_mr_sg, 0x341eb06d, "");
SYMBOL_CRC(ib_sg_to_pages, 0x259ad2c1, "");
SYMBOL_CRC(ib_drain_sq, 0x569d589a, "");
SYMBOL_CRC(ib_drain_rq, 0x2a998d5a, "");
SYMBOL_CRC(ib_drain_qp, 0x76ae84d4, "");
SYMBOL_CRC(rdma_alloc_netdev, 0x963b3335, "");
SYMBOL_CRC(rdma_init_netdev, 0xd0d17d96, "");
SYMBOL_CRC(__rdma_block_iter_start, 0x4e52439b, "");
SYMBOL_CRC(__rdma_block_iter_next, 0xa06a13bd, "");
SYMBOL_CRC(rdma_alloc_hw_stats_struct, 0x79787750, "");
SYMBOL_CRC(rdma_free_hw_stats_struct, 0xfbc3a9a8, "");
SYMBOL_CRC(ib_process_cq_direct, 0xaa020374, "");
SYMBOL_CRC(__ib_alloc_cq, 0x761b5e9d, "");
SYMBOL_CRC(__ib_alloc_cq_any, 0x09795cd5, "");
SYMBOL_CRC(ib_free_cq, 0x72657d80, "");
SYMBOL_CRC(ib_cq_pool_get, 0xdee07800, "");
SYMBOL_CRC(ib_cq_pool_put, 0xa10d7116, "");
SYMBOL_CRC(rdma_rw_ctx_init, 0x127dd56d, "");
SYMBOL_CRC(rdma_rw_ctx_signature_init, 0xb42da010, "");
SYMBOL_CRC(rdma_rw_ctx_wrs, 0x47f3033b, "");
SYMBOL_CRC(rdma_rw_ctx_post, 0x9f2fac6f, "");
SYMBOL_CRC(rdma_rw_ctx_destroy, 0x38131888, "");
SYMBOL_CRC(rdma_rw_ctx_destroy_signature, 0x95a02dd2, "");
SYMBOL_CRC(rdma_rw_mr_factor, 0x822d128e, "");
SYMBOL_CRC(ib_port_sysfs_get_ibdev_kobj, 0xa15dad01, "");
SYMBOL_CRC(ib_port_register_client_groups, 0xbd53b83d, "");
SYMBOL_CRC(ib_port_unregister_client_groups, 0xf7fe46f2, "");
SYMBOL_CRC(ib_wq, 0xdbd019c4, "_gpl");
SYMBOL_CRC(rdma_dev_access_netns, 0x8256cb9b, "");
SYMBOL_CRC(ibdev_emerg, 0x9d81a28a, "");
SYMBOL_CRC(ibdev_alert, 0x1236ebcf, "");
SYMBOL_CRC(ibdev_crit, 0xe5fa0b38, "");
SYMBOL_CRC(ibdev_err, 0xea11b9ec, "");
SYMBOL_CRC(ibdev_warn, 0x00139cbf, "");
SYMBOL_CRC(ibdev_notice, 0x27a74320, "");
SYMBOL_CRC(ibdev_info, 0x1b58141b, "");
SYMBOL_CRC(ib_device_put, 0x0c1e061a, "");
SYMBOL_CRC(ib_device_get_by_name, 0xa0ac5c83, "");
SYMBOL_CRC(_ib_alloc_device, 0xc4141fae, "");
SYMBOL_CRC(ib_dealloc_device, 0xe5020699, "");
SYMBOL_CRC(ib_port_immutable_read, 0xb029eb61, "");
SYMBOL_CRC(ib_get_device_fw_str, 0x897f9d46, "");
SYMBOL_CRC(ib_register_device, 0x2c1c8c04, "");
SYMBOL_CRC(ib_unregister_device, 0xa17fc42b, "");
SYMBOL_CRC(ib_unregister_device_and_put, 0xb924528c, "");
SYMBOL_CRC(ib_unregister_driver, 0xd0478dc4, "");
SYMBOL_CRC(ib_unregister_device_queued, 0xb919513e, "");
SYMBOL_CRC(ib_register_client, 0x9ecc2bb6, "");
SYMBOL_CRC(ib_unregister_client, 0x13c78c0a, "");
SYMBOL_CRC(ib_set_client_data, 0x41d4b3f5, "");
SYMBOL_CRC(ib_register_event_handler, 0x0af15a7a, "");
SYMBOL_CRC(ib_unregister_event_handler, 0x774f536f, "");
SYMBOL_CRC(ib_query_port, 0x1680f631, "");
SYMBOL_CRC(ib_device_set_netdev, 0x39ca3d59, "");
SYMBOL_CRC(ib_device_get_netdev, 0xcd6076de, "");
SYMBOL_CRC(ib_query_netdev_port, 0x8fce0513, "");
SYMBOL_CRC(ib_device_get_by_netdev, 0x7c0805f9, "");
SYMBOL_CRC(ib_query_pkey, 0xc245cb71, "");
SYMBOL_CRC(ib_modify_device, 0x020feafc, "");
SYMBOL_CRC(ib_modify_port, 0x9f4575b1, "");
SYMBOL_CRC(ib_find_gid, 0xc04bf967, "");
SYMBOL_CRC(ib_find_pkey, 0x4e6dda48, "");
SYMBOL_CRC(ib_get_net_dev_by_params, 0x19cb8f13, "");
SYMBOL_CRC(ib_set_device_ops, 0x4aff24ad, "");
SYMBOL_CRC(ib_add_sub_device, 0x5dd27090, "");
SYMBOL_CRC(ib_del_sub_device_and_put, 0x968c9efd, "");
SYMBOL_CRC(ib_dma_virt_map_sg, 0x4c66d870, "");
SYMBOL_CRC(ib_dispatch_port_state_event, 0xa9d608e4, "");
SYMBOL_CRC(zgid, 0x434c5d10, "");
SYMBOL_CRC(ib_cache_gid_type_str, 0x55bb02f3, "");
SYMBOL_CRC(rdma_is_zero_gid, 0x6f3614b6, "");
SYMBOL_CRC(ib_cache_gid_parse_type_str, 0x90e807c7, "");
SYMBOL_CRC(rdma_find_gid_by_port, 0x96e17758, "");
SYMBOL_CRC(rdma_query_gid, 0x13003819, "");
SYMBOL_CRC(rdma_read_gid_hw_context, 0x306400e0, "");
SYMBOL_CRC(rdma_find_gid, 0x5486e2c1, "");
SYMBOL_CRC(ib_get_cached_pkey, 0xb2bb9588, "");
SYMBOL_CRC(ib_get_cached_subnet_prefix, 0x5f12e68a, "");
SYMBOL_CRC(ib_find_cached_pkey, 0xe789527c, "");
SYMBOL_CRC(ib_get_cached_lmc, 0x40629fae, "");
SYMBOL_CRC(ib_get_cached_port_state, 0xb4992722, "");
SYMBOL_CRC(rdma_get_gid_attr, 0x471605e3, "");
SYMBOL_CRC(rdma_query_gid_table, 0x62e92225, "");
SYMBOL_CRC(rdma_put_gid_attr, 0x929c6bd8, "");
SYMBOL_CRC(rdma_hold_gid_attr, 0x88cd147b, "");
SYMBOL_CRC(rdma_read_gid_attr_ndev_rcu, 0x339302fc, "");
SYMBOL_CRC(rdma_read_gid_l2_fields, 0xef4691f5, "");
SYMBOL_CRC(ib_dispatch_event, 0xf92f98d7, "");
SYMBOL_CRC(rdma_nl_chk_listeners, 0x45fb8985, "");
SYMBOL_CRC(rdma_nl_register, 0xdc35b2df, "");
SYMBOL_CRC(rdma_nl_unregister, 0x75a729a0, "");
SYMBOL_CRC(ibnl_put_msg, 0x692d98a9, "");
SYMBOL_CRC(ibnl_put_attr, 0x3e141000, "");
SYMBOL_CRC(rdma_nl_unicast, 0xf0f6b0b8, "");
SYMBOL_CRC(rdma_nl_unicast_wait, 0xf9a986a8, "");
SYMBOL_CRC(rdma_nl_multicast, 0xaa297120, "");
SYMBOL_CRC(roce_gid_type_mask_support, 0x41c27f91, "");
SYMBOL_CRC(rdma_roce_rescan_device, 0x5073cb59, "");
SYMBOL_CRC(rdma_roce_rescan_port, 0x9403f654, "");
SYMBOL_CRC(roce_del_all_netdev_gids, 0x5b65cf0b, "");
SYMBOL_CRC(ib_mr_pool_get, 0xcb42d5da, "");
SYMBOL_CRC(ib_mr_pool_put, 0xa967b1b2, "");
SYMBOL_CRC(ib_mr_pool_init, 0x7169d5cb, "");
SYMBOL_CRC(ib_mr_pool_destroy, 0x226ac4d8, "");
SYMBOL_CRC(rdma_addr_size, 0x70807834, "");
SYMBOL_CRC(rdma_addr_size_in6, 0xd6636ca6, "");
SYMBOL_CRC(rdma_addr_size_kss, 0x305e5701, "");
SYMBOL_CRC(rdma_copy_src_l2_addr, 0x43050bc3, "");
SYMBOL_CRC(rdma_translate_ip, 0x691b8e60, "");
SYMBOL_CRC(rdma_resolve_ip, 0x38ff2a99, "");
SYMBOL_CRC(rdma_addr_cancel, 0x84290b3d, "");
SYMBOL_CRC(ib_sa_register_client, 0x9573ffe4, "");
SYMBOL_CRC(ib_sa_unregister_client, 0x42212bdb, "");
SYMBOL_CRC(ib_sa_cancel_query, 0xda0d50ec, "");
SYMBOL_CRC(ib_init_ah_attr_from_path, 0x17e81695, "");
SYMBOL_CRC(ib_sa_unpack_path, 0xd21bb37a, "");
SYMBOL_CRC(ib_sa_pack_path, 0xb4c40040, "");
SYMBOL_CRC(ib_sa_path_rec_get, 0xb531c63c, "");
SYMBOL_CRC(ib_sa_guid_info_rec_query, 0x9da8030b, "");
SYMBOL_CRC(ib_sa_join_multicast, 0xe3f81994, "");
SYMBOL_CRC(ib_sa_free_multicast, 0x4e90435c, "");
SYMBOL_CRC(ib_sa_get_mcmember_rec, 0x9826a1d5, "");
SYMBOL_CRC(ib_init_ah_from_mcmember, 0x35195da0, "");
SYMBOL_CRC(ib_response_mad, 0x4e155af0, "");
SYMBOL_CRC(ib_register_mad_agent, 0x3c5a5b66, "");
SYMBOL_CRC(ib_unregister_mad_agent, 0xb913624f, "");
SYMBOL_CRC(ib_mad_kernel_rmpp_agent, 0xcfc484b6, "");
SYMBOL_CRC(ib_create_send_mad, 0xfd5dc040, "");
SYMBOL_CRC(ib_get_mad_data_offset, 0x787ccc4c, "");
SYMBOL_CRC(ib_is_mad_class_rmpp, 0x613b1e2e, "");
SYMBOL_CRC(ib_get_rmpp_segment, 0x9daf023a, "");
SYMBOL_CRC(ib_free_send_mad, 0x3d83eb5f, "");
SYMBOL_CRC(ib_post_send_mad, 0x0b2c5de1, "");
SYMBOL_CRC(ib_free_recv_mad, 0x93edfcc8, "");
SYMBOL_CRC(ib_modify_mad, 0x5212afda, "");
SYMBOL_CRC(rdma_nl_put_driver_string, 0x6d9795af, "");
SYMBOL_CRC(rdma_nl_put_driver_u32, 0x02ea5a0d, "");
SYMBOL_CRC(rdma_nl_put_driver_u32_hex, 0x78c6ae09, "");
SYMBOL_CRC(rdma_nl_put_driver_u64, 0xf291d37c, "");
SYMBOL_CRC(rdma_nl_put_driver_u64_hex, 0x55a487ba, "");
SYMBOL_CRC(rdma_nl_get_privileged_qkey, 0x992de6f8, "");
SYMBOL_CRC(rdma_nl_stat_hwcounter_entry, 0x616ea64b, "");
SYMBOL_CRC(rdma_link_register, 0x6012099d, "");
SYMBOL_CRC(rdma_link_unregister, 0x0c10399b, "");
SYMBOL_CRC(rdma_restrack_count, 0x13ca90ca, "");
SYMBOL_CRC(rdma_restrack_set_name, 0xf5c06101, "");
SYMBOL_CRC(rdma_restrack_parent_name, 0xdf6e87c5, "");
SYMBOL_CRC(rdma_restrack_new, 0x3b7dbd52, "");
SYMBOL_CRC(rdma_restrack_add, 0x42b900c4, "");
SYMBOL_CRC(rdma_restrack_get, 0xa0566afe, "");
SYMBOL_CRC(rdma_restrack_get_byid, 0x3a6ba68f, "");
SYMBOL_CRC(rdma_restrack_put, 0x63c04bcf, "");
SYMBOL_CRC(rdma_restrack_del, 0x11f71144, "");
SYMBOL_CRC(rdma_umap_priv_init, 0x0f34b07c, "");
SYMBOL_CRC(rdma_user_mmap_io, 0x1d304b78, "");
SYMBOL_CRC(rdma_user_mmap_entry_get_pgoff, 0x4267a0a0, "");
SYMBOL_CRC(rdma_user_mmap_entry_get, 0x846d258c, "");
SYMBOL_CRC(rdma_user_mmap_entry_put, 0xb698b3b1, "");
SYMBOL_CRC(rdma_user_mmap_entry_remove, 0x7c29bf0a, "");
SYMBOL_CRC(rdma_user_mmap_entry_insert_range, 0x354240ab, "");
SYMBOL_CRC(rdma_user_mmap_entry_insert, 0x24fca635, "");
SYMBOL_CRC(ib_create_qp_security, 0x5ff3f132, "");
SYMBOL_CRC(ib_rdmacg_try_charge, 0xa550959b, "");
SYMBOL_CRC(ib_rdmacg_uncharge, 0xe58b7532, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x23035372, "__netlink_dump_start" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x1757935, "rdmacg_register_device" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xef70cb15, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0xae356ee1, "rdmacg_try_charge" },
	{ 0x66b846f5, "netdev_walk_all_lower_dev_rcu" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf934bab4, "bpf_trace_run4" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0xc1111455, "__nlmsg_put" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0x2d5d6343, "skb_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x6eea58c6, "dev_set_name" },
	{ 0x33bfe547, "ip6_dst_hoplimit" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xad14a767, "trace_raw_output_prep" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xe254f4f8, "xa_get_mark" },
	{ 0xfe70de3, "nla_put_64bit" },
	{ 0xac9f61e, "xas_find_marked" },
	{ 0xca9360b5, "rb_next" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x5575aa17, "__trace_trigger_soft_disabled" },
	{ 0x21adc289, "__kmalloc_node_noprof" },
	{ 0xa0d76752, "dma_unmap_page_attrs" },
	{ 0x5b5e2b6, "trace_event_printf" },
	{ 0xef43a8cd, "__ip_dev_find" },
	{ 0x9cec87f1, "sysfs_remove_groups" },
	{ 0xa31d1dea, "__xa_erase" },
	{ 0x290242dd, "__put_task_struct" },
	{ 0x1b777357, "rdmacg_unregister_device" },
	{ 0x519d9222, "xas_find" },
	{ 0x35d5701e, "kobject_init" },
	{ 0x3bc98dcd, "device_initialize" },
	{ 0x148c30bd, "__dynamic_ibdev_dbg" },
	{ 0xfff4738b, "sysfs_create_groups" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0xaf4eaadb, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x9519394f, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xa76463ee, "in6_dev_finish_destroy" },
	{ 0xc595ae76, "__netlink_kernel_create" },
	{ 0x2aca7e77, "bpf_trace_run2" },
	{ 0x7ff5c9d4, "ip_route_output_flow" },
	{ 0x8ad7d52e, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x98ddac67, "__dynamic_dev_dbg" },
	{ 0x88822d38, "unregister_blocking_lsm_notifier" },
	{ 0xe67e27a4, "netlink_ack" },
	{ 0xd7d280ad, "irq_poll_complete" },
	{ 0x9ed96a8e, "netlink_broadcast_filtered" },
	{ 0xa4b38c9d, "device_rename" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xeafd4caf, "dev_driver_string" },
	{ 0x386fd80, "trace_event_buffer_commit" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xb840d5fd, "dma_map_page_attrs" },
	{ 0xf695a6bc, "alloc_netdev_mqs" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x489f6e0b, "rdma_dim" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x2dba56b, "put_device" },
	{ 0x44f989c7, "net_ns_type_operations" },
	{ 0xe58090ca, "security_ib_endport_manage_subnet" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x26b0fb7, "__alloc_skb" },
	{ 0x8a8e69cf, "netlink_capable" },
	{ 0x3f89071b, "security_ib_pkey_access" },
	{ 0xc6cbbc89, "capable" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xeffd6190, "__task_pid_nr_ns" },
	{ 0x2ddb834b, "__xa_alloc" },
	{ 0xe34cf1ee, "vlan_dev_real_dev" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xdd4b7b77, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xa689904a, "_dev_err" },
	{ 0x1963ee89, "init_net" },
	{ 0xcb82ee8a, "kobject_add" },
	{ 0xd2510a63, "up_write" },
	{ 0x44417d16, "ipv6_stub" },
	{ 0xd22ad428, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x3273d280, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xe262ec3, "sk_skb_reason_drop" },
	{ 0x48018a1f, "netlink_unicast" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x1b560a0f, "dev_get_by_index" },
	{ 0xd8fea321, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x50fadfd7, "skb_push" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x85abc85f, "strncmp" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xff182e8, "nla_put" },
	{ 0x53420057, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x68ce234a, "netlink_kernel_release" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xe4f7e16e, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x59795bc2, "unregister_pernet_device" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x6b5cefe9, "__ethtool_get_link_ksettings" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xa9392430, "xa_clear_mark" },
	{ 0x39f10459, "bpf_trace_run1" },
	{ 0xa439a411, "device_del" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x17ade1a7, "netdev_get_xmit_slave" },
	{ 0x277467c1, "_dev_warn" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0xece784c2, "rb_first" },
	{ 0x30f7b06a, "__neigh_event_send" },
	{ 0x87c5b00, "dev_printk_emit" },
	{ 0x9bf6ed11, "kobject_create_and_add" },
	{ 0x103bafd6, "down_read" },
	{ 0x3dc4c981, "skb_trim" },
	{ 0x8e76ab13, "netdev_has_upper_dev_all_rcu" },
	{ 0xaa7a1f77, "__xa_cmpxchg" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe798236d, "jiffies" },
	{ 0x7f7f7bb4, "irq_poll_disable" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x6c041e19, "__xa_insert" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0xaa82039, "netdev_walk_all_upper_dev_rcu" },
	{ 0x26b2d582, "bpf_trace_run3" },
	{ 0x3c0a96d1, "__put_net" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x7afc073d, "_dev_notice" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x41908380, "neigh_destroy" },
	{ 0x8a1ca69e, "kobject_del" },
	{ 0xb5bd9ac0, "trace_event_buffer_reserve" },
	{ 0x4b2d9344, "dma_map_sgtable" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7acbc896, "param_ops_bool" },
	{ 0x989e1516, "xa_destroy" },
	{ 0x42ae6d99, "xa_find" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x9792f100, "netdev_master_upper_dev_get_rcu" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xac9a32ac, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe70e184a, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x554ae3a4, "irq_poll_sched" },
	{ 0xdd24ff69, "dev_get_by_name" },
	{ 0xada5f682, "netlink_ns_capable" },
	{ 0xd2546157, "dst_release" },
	{ 0xb8c5a4f9, "kobject_uevent" },
	{ 0xe6a352f1, "rdmacg_uncharge" },
	{ 0x6f20e8a0, "nla_strscpy" },
	{ 0x2f2e91b2, "security_ib_alloc_security" },
	{ 0x4e9e6a05, "downgrade_write" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xf738d1be, "register_blocking_lsm_notifier" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x7263d58, "vlan_dev_vlan_id" },
	{ 0xb1964292, "dma_unmap_sg_attrs" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xab3697e4, "irq_poll_init" },
	{ 0x429dcdc0, "xa_find_after" },
	{ 0x88adb562, "ipv6_chk_addr" },
	{ 0x70336943, "xa_set_mark" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xae67659a, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0x50be748d, "security_ib_free_security" },
	{ 0x779aae15, "netlink_has_listeners" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x555ccb97, "up_read" },
	{ 0x62f978fc, "register_pernet_device" },
	{ 0x7cd48742, "get_net_ns_by_fd" },
	{ 0x11147184, "class_register" },
	{ 0xcc3f54e5, "net_rwsem" },
	{ 0xdd38a41d, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x60470f9, "kobject_put" },
	{ 0xdd32e433, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AA962B23F41D1156D5CB9BE");
MODULE_INFO(rhelversion, "10.1");
