#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ipvlan_count_rx, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_new, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_delete, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_setup, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_register, "_gpl", "");

SYMBOL_CRC(ipvlan_count_rx, 0x3c8028f2, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0x283f8fcb, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0x3691088c, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0xce7adaa7, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0x5b6b85dc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdba845b6, "__do_once_done" },
	{ 0xd087d719, "ip6_route_input_lookup" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x49359eee, "dev_pre_changeaddr_notify" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xafc7afb4, "dev_mc_sync" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0x6f9ef2e, "netdev_is_rx_handler_busy" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x810df64a, "netdev_update_features" },
	{ 0x5c4f04a0, "consume_skb" },
	{ 0xaa5c3981, "ip6_local_out" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xbd2e2d6c, "dev_uc_sync" },
	{ 0x14b0c1ae, "rtnl_link_register" },
	{ 0x858392a9, "netif_inherit_tso_max" },
	{ 0x3d0dfcfc, "eth_header_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0x7ff5c9d4, "ip_route_output_flow" },
	{ 0x9816025b, "unregister_netdevice_queue" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xa34e2657, "dev_uc_unsync" },
	{ 0x563a6eef, "ether_setup" },
	{ 0x63142d64, "netdev_err" },
	{ 0x4a19bd4e, "netdev_upper_dev_link" },
	{ 0xec8c95a2, "register_pernet_subsys" },
	{ 0x5247a1cd, "dev_addr_mod" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x1af3606a, "eth_header_parse" },
	{ 0xd637b690, "netdev_rx_handler_unregister" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x7612d558, "eth_header_cache_update" },
	{ 0x5a47f77, "nf_register_net_hooks" },
	{ 0x52027117, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x7b25e59, "ip_route_input_noref" },
	{ 0x800473f, "__cond_resched" },
	{ 0x722d5f37, "__dev_get_by_index" },
	{ 0x7fb6e781, "rtnl_link_unregister" },
	{ 0xd22ad428, "skb_pull" },
	{ 0xe262ec3, "sk_skb_reason_drop" },
	{ 0x8f26130e, "netif_stacked_transfer_operstate" },
	{ 0xef8b74c3, "netdev_upper_dev_unlink" },
	{ 0xff182e8, "nla_put" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x570d6573, "ns_capable" },
	{ 0x24972094, "nf_unregister_net_hooks" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc2365708, "ethtool_op_get_link" },
	{ 0x6b5cefe9, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xd70cb69c, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xecb2f6e, "__pskb_pull_tail" },
	{ 0xa3a523b2, "netif_rx" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x9bd74497, "skb_scrub_packet" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0xe0bf5337, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb521652d, "vlan_vid_add" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0xb2d85276, "call_netdevice_notifiers" },
	{ 0xe9e11db7, "vlan_vid_del" },
	{ 0xbd8e5c13, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xac9a32ac, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xba0da07a, "skb_clone" },
	{ 0xd2546157, "dst_release" },
	{ 0xaa4b36ea, "netdev_rx_handler_register" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xf6cc2c9b, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xe6a6c27f, "eth_header_parse_protocol" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0xe91999a5, "dev_mc_unsync" },
	{ 0xb6b2904b, "dev_change_flags" },
	{ 0x2af91990, "netdev_core_stats_inc" },
	{ 0x99002aeb, "dev_forward_skb" },
	{ 0xdd38a41d, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x99f21c76, "register_netdevice" },
	{ 0xdd32e433, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A1235F784247220B8ED5F1D");
MODULE_INFO(rhelversion, "10.1");
