#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0x8c698d3b, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0x76e7db3a, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0x80684eca, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0xaafaa5eb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0xc1921c03, "__skb_checksum_complete" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0x9d133f8b, "skb_copy_bits" },
	{ 0xc1111455, "__nlmsg_put" },
	{ 0x3311dc4, "netdev_adjacent_change_commit" },
	{ 0x845abb2d, "eth_mac_addr" },
	{ 0x2d5d6343, "skb_put" },
	{ 0x7f5b23cf, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x33bfe547, "ip6_dst_hoplimit" },
	{ 0x9a807a90, "param_ops_ushort" },
	{ 0x5c4f04a0, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xfe70de3, "nla_put_64bit" },
	{ 0xd990ef69, "udp_sock_create4" },
	{ 0x66b58c2c, "udp_tunnel6_xmit_skb" },
	{ 0x14b0c1ae, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x6addd744, "__unregister_nexthop_notifier" },
	{ 0x858392a9, "netif_inherit_tso_max" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x411f5c23, "eth_validate_addr" },
	{ 0x90f6c33, "gro_cells_init" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x72a57abb, "rtnl_create_link" },
	{ 0x9816025b, "unregister_netdevice_queue" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xe75ca5c2, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x563a6eef, "ether_setup" },
	{ 0xf422f494, "udp_tunnel_drop_rx_port" },
	{ 0x4a19bd4e, "netdev_upper_dev_link" },
	{ 0xeafb36a4, "pskb_expand_head" },
	{ 0xec8c95a2, "register_pernet_subsys" },
	{ 0x5247a1cd, "dev_addr_mod" },
	{ 0xcab4c23, "eth_type_trans" },
	{ 0x5f166738, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x959a6459, "__kmalloc_large_noprof" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0x26b0fb7, "__alloc_skb" },
	{ 0x9d3cd671, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xf2582825, "eth_gro_complete" },
	{ 0x572aff73, "rtnl_set_sk_err" },
	{ 0xd639e0b1, "eth_gro_receive" },
	{ 0x15a86a6b, "rtnl_configure_link" },
	{ 0xfd87f45, "skb_tunnel_check_pmtu" },
	{ 0xcf441855, "udp_tunnel_dst_lookup" },
	{ 0x2dabc9b5, "rtnl_unicast" },
	{ 0xfb581831, "peernet2id" },
	{ 0x62821ca5, "__skb_get_hash_net" },
	{ 0x57df661, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x722d5f37, "__dev_get_by_index" },
	{ 0x7fb6e781, "rtnl_link_unregister" },
	{ 0x44417d16, "ipv6_stub" },
	{ 0xd22ad428, "skb_pull" },
	{ 0xaf80fba7, "gro_find_complete_by_type" },
	{ 0xe262ec3, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6d2758d6, "dev_get_by_index_rcu" },
	{ 0x8f52ac8d, "gro_cells_receive" },
	{ 0x50fadfd7, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0xef8b74c3, "netdev_upper_dev_unlink" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xff182e8, "nla_put" },
	{ 0xb1d7e36a, "__rtnl_register_many" },
	{ 0xb4daec71, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xa4ed1b5f, "ip_mc_join_group" },
	{ 0x557f7946, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xcf93ae14, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc2365708, "ethtool_op_get_link" },
	{ 0xd8f8efe8, "nexthop_find_by_id" },
	{ 0xdb20858d, "arp_create" },
	{ 0x6b5cefe9, "__ethtool_get_link_ksettings" },
	{ 0xaba7c60e, "netdev_adjacent_change_prepare" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xd70cb69c, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x30696079, "rhashtable_free_and_destroy" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xbc0c0a17, "netdev_adjacent_change_abort" },
	{ 0xa66fef5a, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x445da369, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xdde77e7c, "__iptunnel_pull_header" },
	{ 0xecb2f6e, "__pskb_pull_tail" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xa3a523b2, "netif_rx" },
	{ 0x364354ba, "rhashtable_destroy" },
	{ 0x6690e22d, "setup_udp_tunnel_sock" },
	{ 0x24e0c8b4, "udp_sock_create6" },
	{ 0x3dc4c981, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x9d06ac04, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x9bd74497, "skb_scrub_packet" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xb53ed6fa, "nexthop_select_path" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x864ff938, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x41908380, "neigh_destroy" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0x4dcd4340, "rhashtable_init_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7acbc896, "param_ops_bool" },
	{ 0x3915604c, "udp_tun_rx_dst" },
	{ 0xac9a32ac, "__kmalloc_cache_noprof" },
	{ 0xeb3fa4cb, "rtnl_notify" },
	{ 0xb6ab44f6, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xfe901820, "__netif_rx" },
	{ 0xba0da07a, "skb_clone" },
	{ 0x9f9019c6, "metadata_dst_alloc" },
	{ 0xd2546157, "dst_release" },
	{ 0x5e2c44d0, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0xa4154522, "udp_tunnel_notify_del_rx_port" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x7037fc41, "register_nexthop_notifier" },
	{ 0x35b7df0a, "ip_mc_leave_group" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xca758c49, "__rtnl_unregister_many" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0xa32cfb1a, "gro_find_receive_by_type" },
	{ 0x2af91990, "netdev_core_stats_inc" },
	{ 0xdd38a41d, "kmalloc_caches" },
	{ 0x5a971fb9, "netdev_info" },
	{ 0xf5c6fec8, "neigh_lookup" },
	{ 0x4397a1d8, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x99f21c76, "register_netdevice" },
	{ 0xdd32e433, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "F312C3A7E2C701E6E4BAB75");
MODULE_INFO(rhelversion, "10.1");
