#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nvmf_get_address, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read32, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read64, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_write32, "_gpl", "");
KSYMTAB_FUNC(nvmf_subsystem_reset, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_io_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_should_reconnect, "_gpl", "");
KSYMTAB_FUNC(nvmf_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_set_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_map_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_ip_options_match, "_gpl", "");
KSYMTAB_FUNC(nvmf_free_options, "_gpl", "");

SYMBOL_CRC(nvmf_get_address, 0x75820918, "_gpl");
SYMBOL_CRC(nvmf_reg_read32, 0x206c593e, "_gpl");
SYMBOL_CRC(nvmf_reg_read64, 0x7aa13cd8, "_gpl");
SYMBOL_CRC(nvmf_reg_write32, 0x9ca46f08, "_gpl");
SYMBOL_CRC(nvmf_subsystem_reset, 0xbd43c1dc, "_gpl");
SYMBOL_CRC(nvmf_connect_admin_queue, 0xfc6d2b2d, "_gpl");
SYMBOL_CRC(nvmf_connect_io_queue, 0x2450d70c, "_gpl");
SYMBOL_CRC(nvmf_should_reconnect, 0xbceb00eb, "_gpl");
SYMBOL_CRC(nvmf_register_transport, 0xc22119b5, "_gpl");
SYMBOL_CRC(nvmf_unregister_transport, 0xe0194afb, "_gpl");
SYMBOL_CRC(nvmf_set_io_queues, 0x714e76de, "_gpl");
SYMBOL_CRC(nvmf_map_queues, 0xb47289b0, "_gpl");
SYMBOL_CRC(nvmf_ip_options_match, 0xc9b9ac50, "_gpl");
SYMBOL_CRC(nvmf_free_options, 0x34d912fd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x231332b5, "try_module_get" },
	{ 0x86a3ea7a, "misc_deregister" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x98de1c15, "snprintf" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0x92997ed8, "_printk" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x2dba56b, "put_device" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xa91a22f9, "_dev_info" },
	{ 0x50dcdca3, "module_put" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x33149204, "key_put" },
	{ 0x69e683de, "uuid_gen" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xa689904a, "_dev_err" },
	{ 0xd2510a63, "up_write" },
	{ 0x4e3567f7, "match_int" },
	{ 0xd3e1a31f, "device_create" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x85abc85f, "strncmp" },
	{ 0xde0f73e5, "seq_putc" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xe4f7e16e, "class_unregister" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x12ff2409, "__nvme_submit_sync_cmd" },
	{ 0x737ea247, "nvme_try_sched_reset" },
	{ 0x277467c1, "_dev_warn" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x6837b7fd, "misc_register" },
	{ 0xd4ec6373, "nvme_auth_wait" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x103bafd6, "down_read" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x6df58324, "seq_read" },
	{ 0x85df9b6c, "strsep" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x45d3c773, "memdup_user_nul" },
	{ 0x82570dbf, "seq_write" },
	{ 0x44e9a829, "match_token" },
	{ 0x2fa50364, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xac9a32ac, "__kmalloc_cache_noprof" },
	{ 0x5e4125ef, "seq_printf" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x66544827, "single_release" },
	{ 0xb402f6b2, "nvme_wait_reset" },
	{ 0x93629c8d, "__seq_puts" },
	{ 0x6cdcbf7b, "single_open" },
	{ 0x555ccb97, "up_read" },
	{ 0x11147184, "class_register" },
	{ 0xca4bed28, "nvme_tls_key_lookup" },
	{ 0xdd38a41d, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xf0aafe12, "nvme_auth_negotiate" },
	{ 0xdd32e433, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-keyring");


MODULE_INFO(srcversion, "D025E13A24E48E613C5B01C");
MODULE_INFO(rhelversion, "10.1");
