#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(jbd2__journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_free_reserved, "", "");
KSYMTAB_FUNC(jbd2_journal_start_reserved, "", "");
KSYMTAB_FUNC(jbd2__journal_restart, "", "");
KSYMTAB_FUNC(jbd2_journal_restart, "", "");
KSYMTAB_FUNC(jbd2_submit_inode_data, "", "");
KSYMTAB_FUNC(jbd2_wait_inode_data, "", "");
KSYMTAB_FUNC(jbd2_journal_extend, "", "");
KSYMTAB_FUNC(jbd2_journal_stop, "", "");
KSYMTAB_FUNC(jbd2_journal_lock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_unlock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_get_write_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_create_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_undo_access, "", "");
KSYMTAB_FUNC(jbd2_journal_set_triggers, "", "");
KSYMTAB_FUNC(jbd2_journal_dirty_metadata, "", "");
KSYMTAB_FUNC(jbd2_journal_forget, "", "");
KSYMTAB_FUNC(jbd2_journal_flush, "", "");
KSYMTAB_FUNC(jbd2_journal_revoke, "", "");
KSYMTAB_FUNC(jbd2_journal_init_dev, "", "");
KSYMTAB_FUNC(jbd2_journal_init_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_check_used_features, "", "");
KSYMTAB_FUNC(jbd2_journal_check_available_features, "", "");
KSYMTAB_FUNC(jbd2_journal_set_features, "", "");
KSYMTAB_FUNC(jbd2_journal_load, "", "");
KSYMTAB_FUNC(jbd2_journal_destroy, "", "");
KSYMTAB_FUNC(jbd2_journal_abort, "", "");
KSYMTAB_FUNC(jbd2_journal_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_ack_err, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_err, "", "");
KSYMTAB_FUNC(jbd2_log_wait_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_start_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit_nested, "", "");
KSYMTAB_FUNC(jbd2_journal_wipe, "", "");
KSYMTAB_FUNC(jbd2_journal_blocks_per_page, "", "");
KSYMTAB_FUNC(jbd2_journal_invalidate_folio, "", "");
KSYMTAB_FUNC(jbd2_journal_try_to_free_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_write, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_wait, "", "");
KSYMTAB_FUNC(jbd2_journal_finish_inode_data_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_init_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_release_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_begin_ordered_truncate, "", "");
KSYMTAB_DATA(jbd2_inode_cache, "", "");
KSYMTAB_FUNC(jbd2_trans_will_send_data_barrier, "", "");
KSYMTAB_FUNC(jbd2_fc_begin_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit_fallback, "", "");
KSYMTAB_FUNC(jbd2_transaction_committed, "", "");
KSYMTAB_FUNC(jbd2_complete_transaction, "", "");
KSYMTAB_FUNC(jbd2_fc_get_buf, "", "");
KSYMTAB_FUNC(jbd2_fc_wait_bufs, "", "");
KSYMTAB_FUNC(jbd2_fc_release_bufs, "", "");
KSYMTAB_FUNC(jbd2_journal_update_sb_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_features, "", "");
KSYMTAB_FUNC(jbd2_journal_grab_journal_head, "", "");
KSYMTAB_FUNC(jbd2_journal_put_journal_head, "", "");

SYMBOL_CRC(jbd2__journal_start, 0x3620f443, "");
SYMBOL_CRC(jbd2_journal_start, 0x2b3b863c, "");
SYMBOL_CRC(jbd2_journal_free_reserved, 0x1656b1d6, "");
SYMBOL_CRC(jbd2_journal_start_reserved, 0xc45e6730, "");
SYMBOL_CRC(jbd2__journal_restart, 0xe1ee48fd, "");
SYMBOL_CRC(jbd2_journal_restart, 0x2df3484d, "");
SYMBOL_CRC(jbd2_submit_inode_data, 0x69ba9d1c, "");
SYMBOL_CRC(jbd2_wait_inode_data, 0xeae6d09f, "");
SYMBOL_CRC(jbd2_journal_extend, 0xa0d9aef6, "");
SYMBOL_CRC(jbd2_journal_stop, 0x355a3860, "");
SYMBOL_CRC(jbd2_journal_lock_updates, 0x9fdc85bd, "");
SYMBOL_CRC(jbd2_journal_unlock_updates, 0x2b89bc38, "");
SYMBOL_CRC(jbd2_journal_get_write_access, 0x11bf642d, "");
SYMBOL_CRC(jbd2_journal_get_create_access, 0x853d71c2, "");
SYMBOL_CRC(jbd2_journal_get_undo_access, 0xc6d97b49, "");
SYMBOL_CRC(jbd2_journal_set_triggers, 0x83555044, "");
SYMBOL_CRC(jbd2_journal_dirty_metadata, 0x310d0169, "");
SYMBOL_CRC(jbd2_journal_forget, 0x10495492, "");
SYMBOL_CRC(jbd2_journal_flush, 0xca657f12, "");
SYMBOL_CRC(jbd2_journal_revoke, 0xc3db2c80, "");
SYMBOL_CRC(jbd2_journal_init_dev, 0x0113391e, "");
SYMBOL_CRC(jbd2_journal_init_inode, 0xecc545c4, "");
SYMBOL_CRC(jbd2_journal_check_used_features, 0x7662435d, "");
SYMBOL_CRC(jbd2_journal_check_available_features, 0x2d7f99d3, "");
SYMBOL_CRC(jbd2_journal_set_features, 0x34ef4d2f, "");
SYMBOL_CRC(jbd2_journal_load, 0x6e06c5b0, "");
SYMBOL_CRC(jbd2_journal_destroy, 0x5a6750a2, "");
SYMBOL_CRC(jbd2_journal_abort, 0xcf436f16, "");
SYMBOL_CRC(jbd2_journal_errno, 0x838b0f67, "");
SYMBOL_CRC(jbd2_journal_ack_err, 0x4639d694, "");
SYMBOL_CRC(jbd2_journal_clear_err, 0x65564fff, "");
SYMBOL_CRC(jbd2_log_wait_commit, 0x107e3518, "");
SYMBOL_CRC(jbd2_journal_start_commit, 0x4cf8257f, "");
SYMBOL_CRC(jbd2_journal_force_commit_nested, 0x5139fc31, "");
SYMBOL_CRC(jbd2_journal_wipe, 0x35e39f67, "");
SYMBOL_CRC(jbd2_journal_blocks_per_page, 0x9007b51c, "");
SYMBOL_CRC(jbd2_journal_invalidate_folio, 0x39a775c3, "");
SYMBOL_CRC(jbd2_journal_try_to_free_buffers, 0x5d08b2b1, "");
SYMBOL_CRC(jbd2_journal_force_commit, 0xced21193, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_write, 0xb3715579, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_wait, 0xadebc4e6, "");
SYMBOL_CRC(jbd2_journal_finish_inode_data_buffers, 0x0e79db5e, "");
SYMBOL_CRC(jbd2_journal_init_jbd_inode, 0xe969ddaa, "");
SYMBOL_CRC(jbd2_journal_release_jbd_inode, 0xab08762b, "");
SYMBOL_CRC(jbd2_journal_begin_ordered_truncate, 0x530c8593, "");
SYMBOL_CRC(jbd2_inode_cache, 0xacd81eb3, "");
SYMBOL_CRC(jbd2_trans_will_send_data_barrier, 0x9012d76b, "");
SYMBOL_CRC(jbd2_fc_begin_commit, 0x55180d75, "");
SYMBOL_CRC(jbd2_fc_end_commit, 0xc9e08692, "");
SYMBOL_CRC(jbd2_fc_end_commit_fallback, 0x78adc9d3, "");
SYMBOL_CRC(jbd2_transaction_committed, 0x26597339, "");
SYMBOL_CRC(jbd2_complete_transaction, 0xe9b056bc, "");
SYMBOL_CRC(jbd2_fc_get_buf, 0xbd00050f, "");
SYMBOL_CRC(jbd2_fc_wait_bufs, 0xd08eaefb, "");
SYMBOL_CRC(jbd2_fc_release_bufs, 0x520bf9c5, "");
SYMBOL_CRC(jbd2_journal_update_sb_errno, 0xb3f99fb5, "");
SYMBOL_CRC(jbd2_journal_clear_features, 0x03687268, "");
SYMBOL_CRC(jbd2_journal_grab_journal_head, 0xdd6a6047, "");
SYMBOL_CRC(jbd2_journal_put_journal_head, 0x8eb8af85, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0xa9b6ba3, "bh_uptodate_or_lock" },
	{ 0x74f7c601, "shrinker_alloc" },
	{ 0xef70cb15, "vmemmap" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x51564e38, "blk_start_plug" },
	{ 0xf934bab4, "bpf_trace_run4" },
	{ 0x93adcce, "__percpu_counter_init_many" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xdf0c1258, "folio_unlock" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x359fa6eb, "seq_release" },
	{ 0x98de1c15, "snprintf" },
	{ 0xad14a767, "trace_raw_output_prep" },
	{ 0x265e4da2, "bpf_trace_run6" },
	{ 0xe20ff894, "mark_buffer_dirty" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xfde9c0f9, "__find_get_block" },
	{ 0x5575aa17, "__trace_trigger_soft_disabled" },
	{ 0x7fe01052, "filemap_fdatawrite_range" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x5b5e2b6, "trace_event_printf" },
	{ 0x91274cc4, "__bforget" },
	{ 0x29be4dbe, "write_dirty_buffer" },
	{ 0x876fa4e2, "percpu_counter_destroy_many" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0x69097457, "crc32_be" },
	{ 0xaf4eaadb, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe4356be9, "iput" },
	{ 0x3e58b48e, "seq_lseek" },
	{ 0xd2c8fac1, "blockdev_superblock" },
	{ 0x6eabdb21, "proc_create_data" },
	{ 0x2aca7e77, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x23078a88, "bpf_trace_run8" },
	{ 0x138583ab, "submit_bh" },
	{ 0x463d9b0e, "alloc_buffer_head" },
	{ 0x83f12221, "wake_up_process" },
	{ 0x2bb615d2, "shrinker_free" },
	{ 0x386fd80, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x6fec80aa, "crypto_destroy_tfm" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x5dd76e44, "mutex_lock_io" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xc09c52d2, "try_to_free_buffers" },
	{ 0xe1aac5f7, "sync_blockdev" },
	{ 0xcf0e8e2f, "free_buffer_head" },
	{ 0xffc812a2, "shrinker_register" },
	{ 0x18b8c1f, "blk_finish_plug" },
	{ 0x13bec0cc, "bdev_getblk" },
	{ 0x13d929a0, "__cond_resched_lock" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x800473f, "__cond_resched" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x380ec283, "bit_waitqueue" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd548e284, "__brelse" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xdd4b7b77, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x24d273d1, "add_timer" },
	{ 0xbb02e10f, "__bh_read_batch" },
	{ 0xbe701a9b, "bpf_trace_run5" },
	{ 0xc31de22e, "__wait_on_buffer" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xd46c2e92, "kmem_cache_free" },
	{ 0x2bf82677, "__bh_read" },
	{ 0x53420057, "trace_event_reg" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0x34d52eaa, "blkdev_issue_zeroout" },
	{ 0x42cea126, "filemap_fdatawait_range_keep_errors" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x754c6756, "crypto_shash_update" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9d1d72a6, "freezing_slow_path" },
	{ 0x39f10459, "bpf_trace_run1" },
	{ 0x1249a7bc, "proc_mkdir" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xdfa9cb43, "kmem_cache_alloc_noprof" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x2e292c8d, "__kmem_cache_create_args" },
	{ 0xe798236d, "jiffies" },
	{ 0xaab6d05d, "kthread_create_on_node" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x26b2d582, "bpf_trace_run3" },
	{ 0x6df58324, "seq_read" },
	{ 0x31049ab1, "unlock_buffer" },
	{ 0xb5bd9ac0, "trace_event_buffer_reserve" },
	{ 0x21bdb523, "errseq_check_and_advance" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x90abb542, "prepare_to_wait_exclusive" },
	{ 0x4d5fe525, "percpu_counter_add_batch" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0x70fdc280, "__folio_put" },
	{ 0x57ac377e, "remove_proc_entry" },
	{ 0xac9a32ac, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5e4125ef, "seq_printf" },
	{ 0x581ae521, "__lock_buffer" },
	{ 0xcde9c799, "truncate_inode_pages_range" },
	{ 0xb0f6651d, "blkdev_issue_flush" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xc267256a, "folio_set_bh" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xdda3c768, "end_buffer_write_sync" },
	{ 0x626b1fc4, "seq_open" },
	{ 0x61719368, "bmap" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x6a460dc5, "schedule_hrtimeout" },
	{ 0x993af95b, "crypto_alloc_shash" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x7410aba2, "strreplace" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xdd38a41d, "kmalloc_caches" },
	{ 0x58481c59, "kmem_cache_destroy" },
	{ 0xdbe08dcc, "blkdev_issue_discard" },
	{ 0xdd32e433, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6C4803DB6A176AEA644BFA2");
MODULE_INFO(rhelversion, "10.1");
