#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_tcp_conn_listen, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(ip_vs_nfct_expect_related, "", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0x3b326af9, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0x0ece7f0e, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0x12c871d4, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0x72b21f34, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0x32788342, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0x7314c967, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0xf3032cf8, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0xfaaf17a2, "");
SYMBOL_CRC(ip_vs_conn_put, 0xd596d4d4, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0x5382899c, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0x1ac27005, "");
SYMBOL_CRC(register_ip_vs_app, 0xc9951d5f, "");
SYMBOL_CRC(unregister_ip_vs_app, 0x08112113, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0xa8e6b82d, "");
SYMBOL_CRC(ip_vs_proto_get, 0xca55934f, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0xbc0a21d1, "");
SYMBOL_CRC(register_ip_vs_pe, 0x55638f4e, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0x8481b673, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0x3e80e686, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb7090b7b, "nf_ct_ext_add" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0x9f45246b, "nf_conntrack_find_get" },
	{ 0x231332b5, "try_module_get" },
	{ 0x9b95e279, "__ip_select_ident" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x40656de9, "icmp6_send" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x9d133f8b, "skb_copy_bits" },
	{ 0xfec1b980, "xfrm_lookup" },
	{ 0xb77e5d1d, "proc_dointvec_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x39bb6904, "housekeeping_cpumask" },
	{ 0x5c4f04a0, "consume_skb" },
	{ 0xaa5c3981, "ip6_local_out" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x1e0a0c24, "mod_timer_pending" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x98de1c15, "snprintf" },
	{ 0x8f575a9c, "nf_register_sockopt" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xfe70de3, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x3fad3077, "nf_ct_netns_get" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x74df2c9f, "kernel_bind" },
	{ 0xce1d3e38, "set_user_nice" },
	{ 0xe77bea84, "genlmsg_put" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x8b746845, "udp_set_csum" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x4ae10216, "ip6_route_me_harder" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2ec25a6, "__module_get" },
	{ 0x7ff5c9d4, "ip_route_output_flow" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xe75ca5c2, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0xf26998f, "__dev_get_by_name" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xdcf42995, "proc_create_net_data" },
	{ 0xeafb36a4, "pskb_expand_head" },
	{ 0xec8c95a2, "register_pernet_subsys" },
	{ 0x83f12221, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0xba924212, "register_net_sysctl_sz" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x554e172c, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x5a47f77, "nf_register_net_hooks" },
	{ 0x52027117, "ip6_route_output_flags" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x26b0fb7, "__alloc_skb" },
	{ 0xc4e92825, "ipv6_sock_mc_join" },
	{ 0x50dcdca3, "module_put" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0x800473f, "__cond_resched" },
	{ 0xdc5fa2b6, "ipv6_dev_get_saddr" },
	{ 0x62821ca5, "__skb_get_hash_net" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x1963ee89, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xe262ec3, "sk_skb_reason_drop" },
	{ 0x48018a1f, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x11e9a8a5, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x2b2ccdad, "ip_route_me_harder" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x50fadfd7, "skb_push" },
	{ 0xd46c2e92, "kmem_cache_free" },
	{ 0x45f3c4cf, "set_cpus_allowed_ptr" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xde0f73e5, "seq_putc" },
	{ 0xff182e8, "nla_put" },
	{ 0x456b616, "proc_doulongvec_minmax" },
	{ 0x7899fcd5, "nf_ct_expect_alloc" },
	{ 0xcc6893cc, "skb_ensure_writable" },
	{ 0x6c46155d, "iov_iter_kvec" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xa4ed1b5f, "ip_mc_join_group" },
	{ 0xa26a168c, "nf_ct_expect_put" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x570d6573, "ns_capable" },
	{ 0x24972094, "nf_unregister_net_hooks" },
	{ 0x3cdcf150, "inet_select_addr" },
	{ 0x59795bc2, "unregister_pernet_device" },
	{ 0xcf93ae14, "lock_sock_nested" },
	{ 0x40ece8d, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xeaad5e59, "kthread_stop" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x75deb5cb, "__nf_conntrack_confirm" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd70cb69c, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x829bab0a, "kernel_connect" },
	{ 0xb9bc90ee, "skb_checksum" },
	{ 0x71de9c9d, "ip_defrag" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xdfa9cb43, "kmem_cache_alloc_noprof" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xecb2f6e, "__pskb_pull_tail" },
	{ 0x94eaabf0, "nf_ct_delete" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x2e292c8d, "__kmem_cache_create_args" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x3dc4c981, "skb_trim" },
	{ 0xaef68ebf, "nf_hook_slow" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0xaab6d05d, "kthread_create_on_node" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0xdff3431c, "nf_ct_deliver_cached_events" },
	{ 0x9db38c72, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf1680208, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc9cd5773, "__icmp_send" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0x5e2a260e, "skb_set_owner_w" },
	{ 0xedb086e4, "__skb_checksum" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x5131784e, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3f3543e2, "init_user_ns" },
	{ 0x95236c8e, "nf_ct_expect_init" },
	{ 0x82570dbf, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x57ac377e, "remove_proc_entry" },
	{ 0xac9a32ac, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5e4125ef, "seq_printf" },
	{ 0xdf257391, "sock_recvmsg" },
	{ 0xf79faab3, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xf680cebb, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3c069ae1, "ipv4_update_pmtu" },
	{ 0xd2aa1382, "nf_defrag_ipv6_enable" },
	{ 0xd2546157, "dst_release" },
	{ 0x5e1ec7b3, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x74a6214c, "proc_dointvec" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x2a466c58, "unregister_net_sysctl_table" },
	{ 0xf6cc2c9b, "ip_local_out" },
	{ 0xdd324452, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xe0b7556d, "udp6_set_csum" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xae67659a, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xf51b84f3, "genl_register_family" },
	{ 0x28ed9885, "kernel_sendmsg" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0x929901b8, "nf_ct_netns_put" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x62f978fc, "register_pernet_device" },
	{ 0x3832522f, "__crc32c_le_shift" },
	{ 0xdd38a41d, "kmalloc_caches" },
	{ 0x98b541c8, "krealloc_noprof" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x58481c59, "kmem_cache_destroy" },
	{ 0x4397a1d8, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x664846e8, "proc_dointvec_minmax" },
	{ 0xdd32e433, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_defrag_ipv6");


MODULE_INFO(srcversion, "9C959DF43C66D5514E74CA4");
MODULE_INFO(rhelversion, "10.1");
