#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(nf_nat_sip_hooks, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_request, "_gpl", "");
KSYMTAB_FUNC(ct_sip_get_header, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_header_uri, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_address_param, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_numerical_param, "_gpl", "");
KSYMTAB_FUNC(ct_sip_get_sdp_header, "_gpl", "");

SYMBOL_CRC(nf_nat_sip_hooks, 0x45c4cd1f, "_gpl");
SYMBOL_CRC(ct_sip_parse_request, 0x940d55ac, "_gpl");
SYMBOL_CRC(ct_sip_get_header, 0x7c348d6c, "_gpl");
SYMBOL_CRC(ct_sip_parse_header_uri, 0x6e6dbd0b, "_gpl");
SYMBOL_CRC(ct_sip_parse_address_param, 0x319fa5c0, "_gpl");
SYMBOL_CRC(ct_sip_parse_numerical_param, 0x07aa98a8, "_gpl");
SYMBOL_CRC(ct_sip_get_sdp_header, 0xe2dbe2da, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x11089ac7, "_ctype" },
	{ 0xebbf1dba, "strncasecmp" },
	{ 0x609bcd98, "in6_pton" },
	{ 0xac5fcec0, "in4_pton" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x85abc85f, "strncmp" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x4aeb8dbd, "nf_ct_helper_init" },
	{ 0x5dc5975d, "nf_conntrack_helpers_register" },
	{ 0x92997ed8, "_printk" },
	{ 0xc92936e5, "nf_conntrack_helpers_unregister" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x1abc1431, "nf_ct_helper_log" },
	{ 0x361226, "__nf_ip6_route" },
	{ 0xd2546157, "dst_release" },
	{ 0x72baa4f0, "__nf_ct_expect_find" },
	{ 0x7899fcd5, "nf_ct_expect_alloc" },
	{ 0x95236c8e, "nf_ct_expect_init" },
	{ 0x11e9a8a5, "nf_ct_expect_related_report" },
	{ 0xa26a168c, "nf_ct_expect_put" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x81b80af5, "nf_ct_unexpect_related" },
	{ 0xc8321af2, "nf_ip_route" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0xd9cc99d7, "nf_conntrack_expect_lock" },
	{ 0x3e63a318, "nf_ct_remove_expect" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xeaa179bb, "__nf_ct_refresh_acct" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xecb2f6e, "__pskb_pull_tail" },
	{ 0x9d133f8b, "skb_copy_bits" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xe798236d, "jiffies" },
	{ 0x1e0a0c24, "mod_timer_pending" },
	{ 0x9a807a90, "param_ops_ushort" },
	{ 0xae67659a, "param_ops_int" },
	{ 0xeb92eb6, "param_ops_uint" },
	{ 0xb829ea05, "param_array_ops" },
	{ 0xdd32e433, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "874DF5165C4DA6A0D2C7D3A");
MODULE_INFO(rhelversion, "10.1");
