#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(synproxy_net_id, "_gpl", "");
KSYMTAB_FUNC(synproxy_parse_options, "_gpl", "");
KSYMTAB_FUNC(synproxy_init_timestamp_cookie, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack, "_gpl", "");
KSYMTAB_FUNC(ipv4_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_fini, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack_ipv6, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack_ipv6, "_gpl", "");
KSYMTAB_FUNC(ipv6_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_fini, "_gpl", "");

SYMBOL_CRC(synproxy_net_id, 0xca9fc082, "_gpl");
SYMBOL_CRC(synproxy_parse_options, 0xe85ded22, "_gpl");
SYMBOL_CRC(synproxy_init_timestamp_cookie, 0x1f099794, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack, 0x05541e9e, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack, 0xcce8d292, "_gpl");
SYMBOL_CRC(ipv4_synproxy_hook, 0x72a46f65, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_init, 0x64548515, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_fini, 0x99416584, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack_ipv6, 0xa9562c6b, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack_ipv6, 0x235f8a23, "_gpl");
SYMBOL_CRC(ipv6_synproxy_hook, 0x070fb3d4, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_init, 0xd2eed8fc, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_fini, 0x2ffb386d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xec8c95a2, "register_pernet_subsys" },
	{ 0xd70cb69c, "unregister_pernet_subsys" },
	{ 0x5a47f77, "nf_register_net_hooks" },
	{ 0x5e4125ef, "seq_printf" },
	{ 0x82570dbf, "seq_write" },
	{ 0x24972094, "nf_unregister_net_hooks" },
	{ 0x57ac377e, "remove_proc_entry" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x97432ae3, "security_skb_classify_flow" },
	{ 0x361226, "__nf_ip6_route" },
	{ 0xe262ec3, "sk_skb_reason_drop" },
	{ 0xfec1b980, "xfrm_lookup" },
	{ 0xaa5c3981, "ip6_local_out" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xcf984e06, "nf_ct_tmpl_alloc" },
	{ 0xb7090b7b, "nf_ct_ext_add" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0xdcf42995, "proc_create_net_data" },
	{ 0xbe25b37f, "nf_ct_tmpl_free" },
	{ 0xcc6893cc, "skb_ensure_writable" },
	{ 0xb69e2bce, "inet_proto_csum_replace4" },
	{ 0x9d133f8b, "skb_copy_bits" },
	{ 0x2b2ccdad, "ip_route_me_harder" },
	{ 0xf6cc2c9b, "ip_local_out" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x26b0fb7, "__alloc_skb" },
	{ 0x2d5d6343, "skb_put" },
	{ 0xb6088146, "__cookie_v4_init_sequence" },
	{ 0xe31d93a3, "__cookie_v6_init_sequence" },
	{ 0x52094679, "__cookie_v4_check" },
	{ 0xb89ff9c, "__cookie_v6_check" },
	{ 0xaa354301, "ipv6_skip_exthdr" },
	{ 0xa8de32f4, "nf_ct_seqadj_init" },
	{ 0x5c4f04a0, "consume_skb" },
	{ 0xdd32e433, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "01C3BDC13AD477FEABBED35");
MODULE_INFO(rhelversion, "10.1");
