#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0x4f0524ae, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0xde1103da, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0xdc9f5958, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0xb4dfc2b1, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0x664e2020, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0x03ca563b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb7090b7b, "nf_ct_ext_add" },
	{ 0xa8a01f04, "nsh_pop" },
	{ 0x9f45246b, "nf_conntrack_find_get" },
	{ 0xa192e0a8, "nf_ct_set_timeout" },
	{ 0x71186833, "dev_get_stats" },
	{ 0xcc43fdc5, "__nla_put" },
	{ 0x231332b5, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xc7a67fe1, "dev_fill_metadata_dst" },
	{ 0xf934bab4, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x9d133f8b, "skb_copy_bits" },
	{ 0xdf9b011b, "nf_ct_handle_fragments" },
	{ 0x845abb2d, "eth_mac_addr" },
	{ 0x2d5d6343, "skb_put" },
	{ 0xaf1b71d0, "genl_notify" },
	{ 0x7cbde3c3, "nsh_push" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x5c4f04a0, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x4e9ee858, "nf_ct_nat" },
	{ 0x5c265759, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf82bfc7d, "skb_eth_pop" },
	{ 0xad14a767, "trace_raw_output_prep" },
	{ 0x7db11e9e, "skb_gso_validate_mac_len" },
	{ 0xfe70de3, "nla_put_64bit" },
	{ 0x3c3198c5, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0x7e7f7553, "nf_ct_helper" },
	{ 0x5575aa17, "__trace_trigger_soft_disabled" },
	{ 0xb55f87f2, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x5b5e2b6, "trace_event_printf" },
	{ 0x85e33376, "rtnl_delete_link" },
	{ 0x14b0c1ae, "rtnl_link_register" },
	{ 0xf349acb6, "nf_connlabels_put" },
	{ 0xe77bea84, "genlmsg_put" },
	{ 0x14f2402f, "___pskb_trim" },
	{ 0xaf4eaadb, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x68d21377, "psample_sample_packet" },
	{ 0x37a0cba, "kfree" },
	{ 0x56906a63, "dev_set_promiscuity" },
	{ 0x81aa9751, "nf_ct_destroy_timeout" },
	{ 0xc553e9bd, "nf_ct_add_helper" },
	{ 0xddd11da7, "nf_conntrack_helper_put" },
	{ 0xe2dd7c4d, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xfbdd4586, "nf_ct_skb_network_trim" },
	{ 0x9816025b, "unregister_netdevice_queue" },
	{ 0x461e477e, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x49672828, "node_states" },
	{ 0x563a6eef, "ether_setup" },
	{ 0x9ed96a8e, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xeafb36a4, "pskb_expand_head" },
	{ 0x4c9b10b8, "skb_csum_hwoffload_help" },
	{ 0x386fd80, "trace_event_buffer_commit" },
	{ 0x5247a1cd, "dev_addr_mod" },
	{ 0xf9a8c789, "nf_connlabels_replace" },
	{ 0xcab4c23, "eth_type_trans" },
	{ 0xf695a6bc, "alloc_netdev_mqs" },
	{ 0x5f166738, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0xd421cbcc, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0xd637b690, "netdev_rx_handler_unregister" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa8f8f4c6, "skb_eth_push" },
	{ 0xabbc2dc4, "nf_conncount_count" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x26b0fb7, "__alloc_skb" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xd9bb5fa8, "skb_mpls_pop" },
	{ 0x7343a580, "skb_vlan_pop" },
	{ 0x4571db08, "dst_init" },
	{ 0x50dcdca3, "module_put" },
	{ 0xa0d3d560, "ksize" },
	{ 0x62821ca5, "__skb_get_hash_net" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x7fb6e781, "rtnl_link_unregister" },
	{ 0xdd4b7b77, "perf_trace_run_bpf_submit" },
	{ 0x1963ee89, "init_net" },
	{ 0x6ccc34dd, "sort" },
	{ 0x44417d16, "ipv6_stub" },
	{ 0x553d3f97, "skb_mpls_update_lse" },
	{ 0xd22ad428, "skb_pull" },
	{ 0x89c881b8, "__skb_get_hash_symmetric_net" },
	{ 0x4dea1053, "memchr" },
	{ 0xe262ec3, "sk_skb_reason_drop" },
	{ 0x48018a1f, "netlink_unicast" },
	{ 0xbe701a9b, "bpf_trace_run5" },
	{ 0x6d2758d6, "dev_get_by_index_rcu" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x50fadfd7, "skb_push" },
	{ 0xd46c2e92, "kmem_cache_free" },
	{ 0xef8b74c3, "netdev_upper_dev_unlink" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xff182e8, "nla_put" },
	{ 0x53420057, "trace_event_reg" },
	{ 0xcc6893cc, "skb_ensure_writable" },
	{ 0xb4daec71, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xa15e2a8f, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x59795bc2, "unregister_pernet_device" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc2365708, "ethtool_op_get_link" },
	{ 0x75deb5cb, "__nf_conntrack_confirm" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xa68c571a, "nf_nat_helper_put" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xdfa9cb43, "kmem_cache_alloc_noprof" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xecb2f6e, "__pskb_pull_tail" },
	{ 0x94eaabf0, "nf_ct_delete" },
	{ 0x7a5c00d8, "nf_conncount_init" },
	{ 0x2f59ebab, "skb_vlan_push" },
	{ 0xa3a523b2, "netif_rx" },
	{ 0x85e7f34f, "__netdev_alloc_skb" },
	{ 0x2e292c8d, "__kmem_cache_create_args" },
	{ 0xe0ad3b74, "netdev_master_upper_dev_link" },
	{ 0xd25a3453, "skb_zerocopy_headlen" },
	{ 0x267dd8e8, "drop_reasons_register_subsys" },
	{ 0x103bafd6, "down_read" },
	{ 0x6b7633a1, "inet_proto_csum_replace16" },
	{ 0x3dc4c981, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x9bd74497, "skb_scrub_packet" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0xdff3431c, "nf_ct_deliver_cached_events" },
	{ 0xf1680208, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x4ffe4b6b, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xe0bf5337, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0xb5bd9ac0, "trace_event_buffer_reserve" },
	{ 0xedb086e4, "__skb_checksum" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb69e2bce, "inet_proto_csum_replace4" },
	{ 0xba088512, "nf_conncount_destroy" },
	{ 0x2c87d42b, "skb_zerocopy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xac9a32ac, "__kmalloc_cache_noprof" },
	{ 0xdbb6a9ec, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xdd24ff69, "dev_get_by_name" },
	{ 0xba0da07a, "skb_clone" },
	{ 0x9f9019c6, "metadata_dst_alloc" },
	{ 0xd2546157, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xfaac252d, "peernet2id_alloc" },
	{ 0xf0bedb80, "nf_ct_get_tuplepr" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xaa4b36ea, "netdev_rx_handler_register" },
	{ 0x2bd6b13d, "ip_do_fragment" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xdd324452, "genl_unregister_family" },
	{ 0xd52e6908, "dev_disable_lro" },
	{ 0xb5d67c42, "kmem_cache_alloc_node_noprof" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0xd8b9ee45, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xf51b84f3, "genl_register_family" },
	{ 0xbe25b37f, "nf_ct_tmpl_free" },
	{ 0x779aae15, "netlink_has_listeners" },
	{ 0x332c029, "kmalloc_size_roundup" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xfc6e772d, "__skb_gso_segment" },
	{ 0x555ccb97, "up_read" },
	{ 0xb5a75a67, "skb_mpls_push" },
	{ 0x62f978fc, "register_pernet_device" },
	{ 0x65dcbd65, "nf_conntrack_in" },
	{ 0xcc3f54e5, "net_rwsem" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0x3832522f, "__crc32c_le_shift" },
	{ 0xdd38a41d, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x58481c59, "kmem_cache_destroy" },
	{ 0x68746ca7, "__skb_vlan_pop" },
	{ 0xcf984e06, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x99f21c76, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xdd32e433, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_nat,psample,nf_conncount");


MODULE_INFO(srcversion, "CC8222471FC587FD5762CB4");
MODULE_INFO(rhelversion, "10.1");
