#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tls_device_sk_destruct, "_gpl", "");
KSYMTAB_FUNC(tls_offload_tx_resync_request, "_gpl", "");
KSYMTAB_FUNC(tls_get_record, "", "");
KSYMTAB_FUNC(tls_validate_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(tls_encrypt_skb, "_gpl", "");

SYMBOL_CRC(tls_device_sk_destruct, 0x9e1a94a1, "_gpl");
SYMBOL_CRC(tls_offload_tx_resync_request, 0xab903e1c, "_gpl");
SYMBOL_CRC(tls_get_record, 0x2159c6a9, "");
SYMBOL_CRC(tls_validate_xmit_skb, 0xf2b60d64, "_gpl");
SYMBOL_CRC(tls_encrypt_skb, 0x8837a7d8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf451b051, "sk_msg_free" },
	{ 0xe2733cd3, "tcp_bpf_sendmsg_redir" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xef70cb15, "vmemmap" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x5ad0420e, "tcp_read_sock" },
	{ 0xf934bab4, "bpf_trace_run4" },
	{ 0x9d133f8b, "skb_copy_bits" },
	{ 0x4e4bfa4c, "sk_page_frag_refill" },
	{ 0x2d5d6343, "skb_put" },
	{ 0x3e36eaaa, "tcp_sendmsg_locked" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x5c4f04a0, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xad14a767, "trace_raw_output_prep" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xe7cd26de, "sk_psock_msg_verdict" },
	{ 0x265e4da2, "bpf_trace_run6" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x5575aa17, "__trace_trigger_soft_disabled" },
	{ 0x5b5e2b6, "trace_event_printf" },
	{ 0xe3baaf24, "iov_iter_get_pages2" },
	{ 0x14f2402f, "___pskb_trim" },
	{ 0xaf4eaadb, "trace_event_raw_init" },
	{ 0xd11bac17, "check_zeroed_user" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0x680d962b, "clean_acked_data_enable" },
	{ 0x6ccd317e, "skb_splice_bits" },
	{ 0xbb59db86, "crypto_alloc_aead" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0x8d909f7f, "crypto_aead_setauthsize" },
	{ 0x7583dab7, "crypto_aead_decrypt" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x49643b8c, "sk_stream_error" },
	{ 0xb0de7a2a, "sk_msg_recvmsg" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xee23bad5, "sk_msg_memcopy_from_iter" },
	{ 0xfbd9a728, "sk_error_report" },
	{ 0xec8c95a2, "register_pernet_subsys" },
	{ 0x1bb6aae7, "put_cmsg" },
	{ 0xadb9414, "__sk_flush_backlog" },
	{ 0x386fd80, "trace_event_buffer_commit" },
	{ 0x6fec80aa, "crypto_destroy_tfm" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0x66c4494, "sk_psock_tls_strp_read" },
	{ 0xa754fd0d, "sk_msg_clone" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x26b0fb7, "__alloc_skb" },
	{ 0x3ae1dd7, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xdd00c077, "iov_iter_extract_pages" },
	{ 0xc2a814db, "tcp_memory_pressure" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x32edae0b, "tcp_recv_skb" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xfe7bc373, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xdd4b7b77, "perf_trace_run_bpf_submit" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xcbb544cd, "__traceiter_sk_data_ready" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xd2510a63, "up_write" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0xf39b86d3, "crypto_aead_encrypt" },
	{ 0xe262ec3, "sk_skb_reason_drop" },
	{ 0xbe701a9b, "bpf_trace_run5" },
	{ 0xf9b2e2fa, "sk_free" },
	{ 0x9177d8a9, "skb_store_bits" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x6e572b0c, "__sk_mem_reclaim" },
	{ 0x37f9a583, "sk_stream_wait_memory" },
	{ 0xff182e8, "nla_put" },
	{ 0x53420057, "trace_event_reg" },
	{ 0x6c46155d, "iov_iter_kvec" },
	{ 0xeae0f496, "clean_acked_data_flush" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xfe17f3e0, "sock_recv_errqueue" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xcf93ae14, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x197fd26d, "sk_msg_return_zero" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0x99fce3ff, "skb_copy_datagram_iter" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x39f10459, "bpf_trace_run1" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xd70cb69c, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x86d06405, "sock_efree" },
	{ 0xa5b8efcb, "iov_iter_bvec" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x565efc8e, "kfree_skb_list_reason" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6a534331, "clean_acked_data_disable" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x911539cf, "sk_msg_free_partial" },
	{ 0x103bafd6, "down_read" },
	{ 0x3dc4c981, "skb_trim" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0x36df6348, "alloc_skb_with_frags" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0xf8ef380a, "tcp_register_ulp" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x26b2d582, "bpf_trace_run3" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0x322cbeef, "sk_psock_drop" },
	{ 0x2f2902ce, "scatterwalk_copychunks" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xa888ed90, "skb_page_frag_refill" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0xb5bd9ac0, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xab219d77, "sk_msg_free_nocharge" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x70fdc280, "__folio_put" },
	{ 0x57ac377e, "remove_proc_entry" },
	{ 0xac9a32ac, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5e4125ef, "seq_printf" },
	{ 0xf680cebb, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xba0da07a, "skb_clone" },
	{ 0xd2546157, "dst_release" },
	{ 0x603db38b, "_copy_from_iter" },
	{ 0xb5392d87, "skb_copy_header" },
	{ 0x270da7a6, "sk_msg_trim" },
	{ 0x1dc948d8, "alloc_pages_noprof" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x38cc2423, "netdev_sk_get_lowest_dev" },
	{ 0xd0dc0c9b, "sk_msg_alloc" },
	{ 0xd7e6eff4, "_copy_from_iter_nocache" },
	{ 0x51662dfe, "tcp_rate_check_app_limited" },
	{ 0x51abe0f6, "tcp_poll" },
	{ 0xcc9e09ba, "iov_iter_revert" },
	{ 0x866468b3, "sk_msg_zerocopy_from_iter" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x8f2ef04e, "skb_to_sgvec" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xf1bdfaa, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xdd38a41d, "kmalloc_caches" },
	{ 0x978ef0ea, "tcp_read_done" },
	{ 0x4397a1d8, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xdd32e433, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1B90BAD305241EC2223188D");
MODULE_INFO(rhelversion, "10.1");
