#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0xa155747f, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0xec566e05, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0x2fbf95b3, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0x39d3478c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x563a6eef, "ether_setup" },
	{ 0x6b5cefe9, "__ethtool_get_link_ksettings" },
	{ 0x93002790, "ethtool_get_ts_info_by_layer" },
	{ 0x1963ee89, "init_net" },
	{ 0xd52f5490, "generic_hwtstamp_set_lower" },
	{ 0x3270ae63, "generic_hwtstamp_get_lower" },
	{ 0xada4e475, "dev_mc_del" },
	{ 0x25be5711, "dev_uc_del" },
	{ 0xa97f9b17, "dev_mc_add_excl" },
	{ 0x28e19f0b, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x2e620713, "__netpoll_free" },
	{ 0xe9e11db7, "vlan_vid_del" },
	{ 0xb521652d, "vlan_vid_add" },
	{ 0xbd2e2d6c, "dev_uc_sync" },
	{ 0xafc7afb4, "dev_mc_sync" },
	{ 0xbd8e5c13, "dev_set_allmulti" },
	{ 0x56906a63, "dev_set_promiscuity" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xa34e2657, "dev_uc_unsync" },
	{ 0xe91999a5, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x14b0c1ae, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x7fb6e781, "rtnl_link_unregister" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xff182e8, "nla_put" },
	{ 0xdd38a41d, "kmalloc_caches" },
	{ 0xac9a32ac, "__kmalloc_cache_noprof" },
	{ 0x15ab95c, "__netpoll_setup" },
	{ 0x37a0cba, "kfree" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9816025b, "unregister_netdevice_queue" },
	{ 0xef8b74c3, "netdev_upper_dev_unlink" },
	{ 0x5247a1cd, "dev_addr_mod" },
	{ 0x67590f0a, "dev_uc_add" },
	{ 0xfc9fac51, "dev_set_mac_address" },
	{ 0x935a2389, "dev_set_mtu" },
	{ 0x858392a9, "netif_inherit_tso_max" },
	{ 0x810df64a, "netdev_update_features" },
	{ 0x8f26130e, "netif_stacked_transfer_operstate" },
	{ 0xb2d85276, "call_netdevice_notifiers" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xba0da07a, "skb_clone" },
	{ 0xa3a523b2, "netif_rx" },
	{ 0xd4c59e2, "__dev_forward_skb" },
	{ 0xe0bf5337, "__dev_queue_xmit" },
	{ 0x99002aeb, "dev_forward_skb" },
	{ 0x1e62444, "netpoll_send_skb" },
	{ 0xfe901820, "__netif_rx" },
	{ 0x9589ea34, "ip_check_defrag" },
	{ 0xe262ec3, "sk_skb_reason_drop" },
	{ 0x5c4f04a0, "consume_skb" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2af91990, "netdev_core_stats_inc" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x800473f, "__cond_resched" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xd637b690, "netdev_rx_handler_unregister" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x236c8c64, "memcpy" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x722d5f37, "__dev_get_by_index" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x6f9ef2e, "netdev_is_rx_handler_busy" },
	{ 0xaa4b36ea, "netdev_rx_handler_register" },
	{ 0x99f21c76, "register_netdevice" },
	{ 0x4a19bd4e, "netdev_upper_dev_link" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x79600d2f, "linkwatch_fire_event" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0xa29d756b, "passthru_features_check" },
	{ 0x411f5c23, "eth_validate_addr" },
	{ 0x9c990be4, "ndo_dflt_fdb_dump" },
	{ 0x1af3606a, "eth_header_parse" },
	{ 0x3d0dfcfc, "eth_header_cache" },
	{ 0x7612d558, "eth_header_cache_update" },
	{ 0xe6a6c27f, "eth_header_parse_protocol" },
	{ 0xc2365708, "ethtool_op_get_link" },
	{ 0xdd32e433, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "98292FAC60C148AE0574101");
MODULE_INFO(rhelversion, "10.1");
