#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(__tracepoint_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_session, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_session, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_lookup_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_ipaddress_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_router_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_iface, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_iface, "_gpl", "");
KSYMTAB_FUNC(iscsi_flashnode_bus_match, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_flashnode_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_find_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_find_flashnode_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_all_flashnode, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_chkready, "_gpl", "");
KSYMTAB_FUNC(iscsi_is_session_online, "_gpl", "");
KSYMTAB_FUNC(iscsi_is_session_dev, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_for_each_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_block_scsi_eh, "_gpl", "");
KSYMTAB_FUNC(iscsi_unblock_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_block_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_alloc_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_add_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_remove_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_force_destroy_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_free_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_alloc_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_add_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_remove_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_recv_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_offload_mesg, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_error_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_login_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_post_host_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_ping_comp_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_discovery_parent_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_port_speed_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_port_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_register_transport, "_gpl", "");
KSYMTAB_FUNC(iscsi_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(iscsi_dbg_trace, "_gpl", "");

SYMBOL_CRC(__tracepoint_iscsi_dbg_conn, 0x363ef721, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_conn, 0x8103ef94, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_conn, 0x71b768b0, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_eh, 0xda09b986, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_eh, 0xa810ddc6, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_eh, 0xe4c79fa6, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_session, 0xc6264e7a, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_session, 0xfb68b3e2, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_session, 0x584a31ab, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_tcp, 0xb32662a6, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_tcp, 0xb032e927, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_tcp, 0x88768c48, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_sw_tcp, 0xa3ac06cf, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_sw_tcp, 0x8c333be8, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_sw_tcp, 0xab4674c8, "_gpl");
SYMBOL_CRC(iscsi_create_endpoint, 0x917faaba, "_gpl");
SYMBOL_CRC(iscsi_destroy_endpoint, 0x727de0d1, "_gpl");
SYMBOL_CRC(iscsi_put_endpoint, 0x2917f267, "_gpl");
SYMBOL_CRC(iscsi_lookup_endpoint, 0x11675bf4, "_gpl");
SYMBOL_CRC(iscsi_get_ipaddress_state_name, 0xbc071179, "_gpl");
SYMBOL_CRC(iscsi_get_router_state_name, 0x84a005f1, "_gpl");
SYMBOL_CRC(iscsi_create_iface, 0xba999c40, "_gpl");
SYMBOL_CRC(iscsi_destroy_iface, 0x761ec4d9, "_gpl");
SYMBOL_CRC(iscsi_flashnode_bus_match, 0x7775dad0, "_gpl");
SYMBOL_CRC(iscsi_create_flashnode_sess, 0xb7d10700, "_gpl");
SYMBOL_CRC(iscsi_create_flashnode_conn, 0xec97622a, "_gpl");
SYMBOL_CRC(iscsi_find_flashnode_sess, 0x7228f189, "_gpl");
SYMBOL_CRC(iscsi_find_flashnode_conn, 0xa0d15330, "_gpl");
SYMBOL_CRC(iscsi_destroy_flashnode_sess, 0x8001333f, "_gpl");
SYMBOL_CRC(iscsi_destroy_all_flashnode, 0x490f7fa8, "_gpl");
SYMBOL_CRC(iscsi_session_chkready, 0x680b5857, "_gpl");
SYMBOL_CRC(iscsi_is_session_online, 0x940e47a4, "_gpl");
SYMBOL_CRC(iscsi_is_session_dev, 0x7e725ae8, "_gpl");
SYMBOL_CRC(iscsi_host_for_each_session, 0x47bb8d4f, "_gpl");
SYMBOL_CRC(iscsi_block_scsi_eh, 0x4f6afe4a, "_gpl");
SYMBOL_CRC(iscsi_unblock_session, 0xeb6daa7c, "_gpl");
SYMBOL_CRC(iscsi_block_session, 0xa0e59374, "_gpl");
SYMBOL_CRC(iscsi_alloc_session, 0x2c200ae0, "_gpl");
SYMBOL_CRC(iscsi_add_session, 0x1de528b3, "_gpl");
SYMBOL_CRC(iscsi_remove_session, 0x65e1b61c, "_gpl");
SYMBOL_CRC(iscsi_force_destroy_session, 0x74107099, "_gpl");
SYMBOL_CRC(iscsi_free_session, 0xf37a90c6, "_gpl");
SYMBOL_CRC(iscsi_alloc_conn, 0x8f09b071, "_gpl");
SYMBOL_CRC(iscsi_add_conn, 0x0522f05a, "_gpl");
SYMBOL_CRC(iscsi_remove_conn, 0xe9293731, "_gpl");
SYMBOL_CRC(iscsi_put_conn, 0x3f3b7613, "_gpl");
SYMBOL_CRC(iscsi_get_conn, 0xa2cdc5ac, "_gpl");
SYMBOL_CRC(iscsi_recv_pdu, 0x2a54005a, "_gpl");
SYMBOL_CRC(iscsi_offload_mesg, 0x00ebadd1, "_gpl");
SYMBOL_CRC(iscsi_conn_error_event, 0xae163b24, "_gpl");
SYMBOL_CRC(iscsi_conn_login_event, 0x657b5c23, "_gpl");
SYMBOL_CRC(iscsi_post_host_event, 0xec6b0de3, "_gpl");
SYMBOL_CRC(iscsi_ping_comp_event, 0xe85d40a8, "_gpl");
SYMBOL_CRC(iscsi_session_event, 0xd1d9ab07, "_gpl");
SYMBOL_CRC(iscsi_get_discovery_parent_name, 0x699fe53e, "_gpl");
SYMBOL_CRC(iscsi_get_port_speed_name, 0x6bdbfeca, "_gpl");
SYMBOL_CRC(iscsi_get_port_state_name, 0x162abb4a, "_gpl");
SYMBOL_CRC(iscsi_register_transport, 0x1a8b1f75, "_gpl");
SYMBOL_CRC(iscsi_unregister_transport, 0x1c42ba2a, "_gpl");
SYMBOL_CRC(iscsi_dbg_trace, 0xaa8299e3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9adc9c67, "vsnprintf" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x236c8c64, "memcpy" },
	{ 0xdd4b7b77, "perf_trace_run_bpf_submit" },
	{ 0xb5bd9ac0, "trace_event_buffer_reserve" },
	{ 0x386fd80, "trace_event_buffer_commit" },
	{ 0x5575aa17, "__trace_trigger_soft_disabled" },
	{ 0xad14a767, "trace_raw_output_prep" },
	{ 0x5b5e2b6, "trace_event_printf" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x2aca7e77, "bpf_trace_run2" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x2dba56b, "put_device" },
	{ 0x9d285c92, "device_unregister" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd6dcb83e, "sysfs_remove_group" },
	{ 0x3761d215, "idr_find" },
	{ 0x8ad7d52e, "get_device" },
	{ 0x772fc5c6, "device_find_child" },
	{ 0x6d1c1dd9, "device_for_each_child" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xc6cbbc89, "capable" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xe45ae1e2, "_dev_printk" },
	{ 0x8d87b22d, "scsi_target_unblock" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xf7370f56, "system_state" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x68ce234a, "netlink_kernel_release" },
	{ 0x16d4291f, "bus_unregister" },
	{ 0x54548f76, "transport_class_unregister" },
	{ 0xe4f7e16e, "class_unregister" },
	{ 0x11147184, "class_register" },
	{ 0xa3834406, "transport_class_register" },
	{ 0xb2b4ca7f, "bus_register" },
	{ 0x1963ee89, "init_net" },
	{ 0xc595ae76, "__netlink_kernel_create" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9916e6b0, "scsi_host_get" },
	{ 0x3bc98dcd, "device_initialize" },
	{ 0x98de1c15, "snprintf" },
	{ 0x3202ecf2, "scsi_init_limits" },
	{ 0x6f252a02, "bsg_setup_queue" },
	{ 0x9ed96a8e, "netlink_broadcast_filtered" },
	{ 0x26b0fb7, "__alloc_skb" },
	{ 0xc1111455, "__nlmsg_put" },
	{ 0x608157d7, "scsi_is_host_device" },
	{ 0xb4428c61, "bsg_remove_queue" },
	{ 0x7ac40c83, "scsi_host_put" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x557d304f, "bsg_job_done" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x6eea58c6, "dev_set_name" },
	{ 0xe6f80bdf, "device_register" },
	{ 0x8ef8903d, "sysfs_create_group" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0xdd38a41d, "kmalloc_caches" },
	{ 0xac9a32ac, "__kmalloc_cache_noprof" },
	{ 0x7b57fd07, "attribute_container_register" },
	{ 0xe262ec3, "sk_skb_reason_drop" },
	{ 0x5dea4d0b, "scsi_host_lookup" },
	{ 0x3dc4c981, "skb_trim" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xaa280608, "transport_remove_device" },
	{ 0x391b8711, "transport_destroy_device" },
	{ 0xa439a411, "device_del" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x3273d280, "device_add" },
	{ 0x6ed6f31e, "transport_setup_device" },
	{ 0xd6f93ddd, "transport_add_device" },
	{ 0xf9a482f9, "msleep" },
	{ 0x8f6f303a, "scsi_block_targets" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xfb336ebf, "attribute_container_unregister" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x76fae2f1, "scsi_remove_target" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xfaa1ceef, "scsi_scan_target" },
	{ 0x8a8e69cf, "netlink_capable" },
	{ 0x231332b5, "try_module_get" },
	{ 0x50dcdca3, "module_put" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xd22ad428, "skb_pull" },
	{ 0x48018a1f, "netlink_unicast" },
	{ 0x53420057, "trace_event_reg" },
	{ 0xaf4eaadb, "trace_event_raw_init" },
	{ 0xae67659a, "param_ops_int" },
	{ 0xdd32e433, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "21EE16982EE0E8F5745FD55");
MODULE_INFO(rhelversion, "10.1");
