#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hsr_get_version, "", "");
KSYMTAB_FUNC(is_hsr_master, "", "");

SYMBOL_CRC(hsr_get_version, 0x119e5599, "");
SYMBOL_CRC(is_hsr_master, 0x94b560c5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x935a2389, "dev_set_mtu" },
	{ 0x8a5a6e4d, "__skb_pad" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xffb8071, "eth_header" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x2d5d6343, "skb_put" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x810df64a, "netdev_update_features" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x14b0c1ae, "rtnl_link_register" },
	{ 0xe77bea84, "genlmsg_put" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x36274e97, "dev_uc_sync_multiple" },
	{ 0x37a0cba, "kfree" },
	{ 0x56906a63, "dev_set_promiscuity" },
	{ 0x3e58b48e, "seq_lseek" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x46632cd6, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x9816025b, "unregister_netdevice_queue" },
	{ 0xe67e27a4, "netlink_ack" },
	{ 0x35c14b2a, "__pskb_copy_fclone" },
	{ 0xa34e2657, "dev_uc_unsync" },
	{ 0x563a6eef, "ether_setup" },
	{ 0x9ed96a8e, "netlink_broadcast_filtered" },
	{ 0x63142d64, "netdev_err" },
	{ 0x4a19bd4e, "netdev_upper_dev_link" },
	{ 0x5247a1cd, "dev_addr_mod" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xd637b690, "netdev_rx_handler_unregister" },
	{ 0x1af3606a, "eth_header_parse" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x26b0fb7, "__alloc_skb" },
	{ 0xbedcf794, "skb_copy_expand" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x722d5f37, "__dev_get_by_index" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x7fb6e781, "rtnl_link_unregister" },
	{ 0x1963ee89, "init_net" },
	{ 0xd22ad428, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xff91c850, "mark_tech_preview" },
	{ 0xe262ec3, "sk_skb_reason_drop" },
	{ 0x48018a1f, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6d2758d6, "dev_get_by_index_rcu" },
	{ 0x8b4ed3c3, "netdev_printk" },
	{ 0x50fadfd7, "skb_push" },
	{ 0x93b4f55a, "debugfs_remove" },
	{ 0xef8b74c3, "netdev_upper_dev_unlink" },
	{ 0xff182e8, "nla_put" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x297b3441, "netdev_set_operstate" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xecb2f6e, "__pskb_pull_tail" },
	{ 0xa3a523b2, "netif_rx" },
	{ 0x85e7f34f, "__netdev_alloc_skb" },
	{ 0x3dc4c981, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x6df58324, "seq_read" },
	{ 0xcabfd118, "debugfs_rename" },
	{ 0x265b4f97, "debugfs_create_file" },
	{ 0xe0bf5337, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb2d85276, "call_netdevice_notifiers" },
	{ 0xbd8e5c13, "dev_set_allmulti" },
	{ 0x82570dbf, "seq_write" },
	{ 0xac9a32ac, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3d2b5eaa, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5e4125ef, "seq_printf" },
	{ 0xba0da07a, "skb_clone" },
	{ 0x3902b8cb, "netif_carrier_on" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xaa4b36ea, "netdev_rx_handler_register" },
	{ 0x66544827, "single_release" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xdd324452, "genl_unregister_family" },
	{ 0xd52e6908, "dev_disable_lro" },
	{ 0xd8b9ee45, "dev_kfree_skb_any_reason" },
	{ 0x6cdcbf7b, "single_open" },
	{ 0xb88285a7, "debugfs_create_dir" },
	{ 0xe91999a5, "dev_mc_unsync" },
	{ 0xf51b84f3, "genl_register_family" },
	{ 0x2af91990, "netdev_core_stats_inc" },
	{ 0xdd38a41d, "kmalloc_caches" },
	{ 0x5a971fb9, "netdev_info" },
	{ 0x50c06f45, "dev_mc_sync_multiple" },
	{ 0x99f21c76, "register_netdevice" },
	{ 0xdd32e433, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6F1DDADF9A7734F0922575E");
MODULE_INFO(rhelversion, "10.1");
