#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip_tunnel_lookup, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_md_udp_encap, "", "");
KSYMTAB_FUNC(ip_tunnel_rcv, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_encap_add_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_del_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip_md_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_ctl, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_from_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_to_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(__ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_dellink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_get_link_net, "", "");
KSYMTAB_FUNC(ip_tunnel_get_iflink, "", "");
KSYMTAB_FUNC(ip_tunnel_init_net, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_delete_nets, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_newlink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_changelink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_init, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_uninit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_setup, "_gpl", "");

SYMBOL_CRC(ip_tunnel_lookup, 0xefda01c9, "_gpl");
SYMBOL_CRC(ip_tunnel_md_udp_encap, 0xe309f8db, "");
SYMBOL_CRC(ip_tunnel_rcv, 0xfc16f1d1, "_gpl");
SYMBOL_CRC(ip_tunnel_encap_add_ops, 0x72f93427, "");
SYMBOL_CRC(ip_tunnel_encap_del_ops, 0x2b842a11, "");
SYMBOL_CRC(ip_tunnel_encap_setup, 0xc46107f8, "_gpl");
SYMBOL_CRC(ip_md_tunnel_xmit, 0x46720dbb, "_gpl");
SYMBOL_CRC(ip_tunnel_xmit, 0xbbf9ea6f, "_gpl");
SYMBOL_CRC(ip_tunnel_ctl, 0xdb05f1c2, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_from_user, 0x53e7f64c, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_to_user, 0x6bfdf906, "_gpl");
SYMBOL_CRC(ip_tunnel_siocdevprivate, 0x797c579e, "_gpl");
SYMBOL_CRC(__ip_tunnel_change_mtu, 0x4fe49c35, "_gpl");
SYMBOL_CRC(ip_tunnel_change_mtu, 0xe1f5c438, "_gpl");
SYMBOL_CRC(ip_tunnel_dellink, 0x559f9e7f, "_gpl");
SYMBOL_CRC(ip_tunnel_get_link_net, 0x33b6a7ee, "");
SYMBOL_CRC(ip_tunnel_get_iflink, 0xca32f8ce, "");
SYMBOL_CRC(ip_tunnel_init_net, 0x970acdeb, "_gpl");
SYMBOL_CRC(ip_tunnel_delete_nets, 0xaaad3eac, "_gpl");
SYMBOL_CRC(ip_tunnel_newlink, 0x81b66224, "_gpl");
SYMBOL_CRC(ip_tunnel_changelink, 0x9c247d08, "_gpl");
SYMBOL_CRC(ip_tunnel_init, 0x0c3007e1, "_gpl");
SYMBOL_CRC(ip_tunnel_uninit, 0xa52593f5, "_gpl");
SYMBOL_CRC(ip_tunnel_setup, 0x90e0d649, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xc4c48a52, "iptun_encaps" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x69aebc91, "icmpv6_ndo_send" },
	{ 0x12239432, "icmp_ndo_send" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xf695a6bc, "alloc_netdev_mqs" },
	{ 0x99f21c76, "register_netdevice" },
	{ 0xb4daec71, "free_netdev" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9816025b, "unregister_netdevice_queue" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x90f6c33, "gro_cells_init" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xe798236d, "jiffies" },
	{ 0x9d133f8b, "skb_copy_bits" },
	{ 0x7ff5c9d4, "ip_route_output_flow" },
	{ 0xd2546157, "dst_release" },
	{ 0x722d5f37, "__dev_get_by_index" },
	{ 0x57df661, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x5247a1cd, "dev_addr_mod" },
	{ 0xeadc0ac5, "netdev_state_change" },
	{ 0x570d6573, "ns_capable" },
	{ 0x935a2389, "dev_set_mtu" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x1963ee89, "init_net" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xe262ec3, "sk_skb_reason_drop" },
	{ 0x533ce210, "dst_cache_get_ip4" },
	{ 0xeafb36a4, "pskb_expand_head" },
	{ 0x68f59e11, "iptunnel_xmit" },
	{ 0x62821ca5, "__skb_get_hash_net" },
	{ 0x451c3a88, "dst_cache_set_ip4" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x41908380, "neigh_destroy" },
	{ 0xecb2f6e, "__pskb_pull_tail" },
	{ 0x9bd74497, "skb_scrub_packet" },
	{ 0x8f52ac8d, "gro_cells_receive" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0xcab4c23, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xdd32e433, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B27F5C4BCC62422D71EFE69");
MODULE_INFO(rhelversion, "10.1");
