#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9fac3aa6, "virtio_transport_purge_skbs" },
	{ 0xb2fff5db, "virtio_transport_notify_recv_init" },
	{ 0x93079c44, "virtio_transport_release" },
	{ 0xef70cb15, "vmemmap" },
	{ 0xc993e75a, "virtqueue_enable_cb" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc22d13f2, "virtio_transport_consume_skb_sent" },
	{ 0x2d5d6343, "skb_put" },
	{ 0xa9f26715, "vsock_for_each_connected_socket" },
	{ 0xbdbbe207, "virtqueue_detach_unused_buf" },
	{ 0x12b0f332, "virtio_transport_connect" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc1b1df5b, "virtio_transport_notify_set_rcvlowat" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf07de22b, "virtio_transport_stream_has_data" },
	{ 0x2b635294, "virtio_transport_stream_rcvhiwat" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xb7e408c2, "virtio_transport_dgram_bind" },
	{ 0xfbd9a728, "sk_error_report" },
	{ 0xac10a268, "virtio_transport_notify_recv_pre_block" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x9e915510, "virtio_transport_dgram_enqueue" },
	{ 0x593de965, "virtio_transport_shutdown" },
	{ 0x2e2c6db7, "virtio_transport_notify_send_post_enqueue" },
	{ 0x3a150d2e, "virtio_transport_dgram_dequeue" },
	{ 0xcc2aed78, "unregister_virtio_driver" },
	{ 0x26b0fb7, "__alloc_skb" },
	{ 0x3a81e69, "virtio_transport_stream_allow" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x965fc360, "virtqueue_get_vring_size" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xb6281224, "virtio_transport_notify_send_init" },
	{ 0xe262ec3, "sk_skb_reason_drop" },
	{ 0x9d9004fd, "virtio_transport_notify_send_pre_enqueue" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xc4ec336d, "virtio_transport_seqpacket_dequeue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x88a0a672, "virtio_transport_seqpacket_enqueue" },
	{ 0x66864e09, "virtio_transport_seqpacket_has_data" },
	{ 0x1a8825c4, "virtio_transport_notify_recv_pre_dequeue" },
	{ 0x303b7c35, "virtio_transport_stream_enqueue" },
	{ 0xeadb1c66, "virtqueue_disable_cb" },
	{ 0xcffebb4, "virtio_transport_stream_dequeue" },
	{ 0x684d2c5b, "vsock_core_unregister" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0xde88be2c, "vsock_core_register" },
	{ 0x32fb35d8, "virtqueue_add_sgs" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xa95ac4f, "virtio_reset_device" },
	{ 0x7ba94b1e, "virtio_transport_notify_poll_out" },
	{ 0x5ec1b0ed, "virtio_transport_notify_recv_post_dequeue" },
	{ 0xbabd30f5, "virtio_transport_dgram_allow" },
	{ 0xaaca1e4f, "__register_virtio_driver" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0x3a68a721, "virtqueue_get_buf" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x92764779, "virtio_transport_deliver_tap_pkt" },
	{ 0x7f2fe1b7, "virtio_transport_read_skb" },
	{ 0x6ab8a535, "virtqueue_kick" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x50105484, "virtio_transport_stream_is_active" },
	{ 0xa3d27cf3, "virtqueue_add_inbuf" },
	{ 0xd91f33a7, "virtio_transport_do_socket_init" },
	{ 0xac9a32ac, "__kmalloc_cache_noprof" },
	{ 0xa0c237c, "virtio_transport_notify_poll_in" },
	{ 0xc17d12e, "virtio_check_driver_offered_feature" },
	{ 0xa156cf5d, "virtio_transport_unsent_bytes" },
	{ 0x43206845, "virtio_transport_stream_has_space" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x592d9211, "virtio_transport_notify_send_pre_block" },
	{ 0x35e51e8d, "virtio_transport_notify_buffer_size" },
	{ 0xb36d1138, "virtio_transport_destruct" },
	{ 0x232c30fe, "virtio_transport_recv_pkt" },
	{ 0xdd38a41d, "kmalloc_caches" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xdd32e433, "module_layout" },
};

MODULE_INFO(depends, "vmw_vsock_virtio_transport_common,vsock");

MODULE_ALIAS("virtio:d00000013v*");

MODULE_INFO(srcversion, "2FB4091555A5734CF8AB3B8");
MODULE_INFO(rhelversion, "10.1");
